Welcome to the IBM FileNet IDM Web Services Administrator's Help

Welcome to the IBM FileNet Integrated Document Management Web Services Administrator's Help

This Help system describes the administrative tasks related to IBM FileNet IDM Web Services:

  • Installing and upgrading the IBM FileNet IDM Web Services software

  • Installing the Web client software

  • Adding libraries

  • Setting preferences

  • Setting up authentication and security

  • Troubleshooting

For help with user tasks, see the IBM FileNet IDM Web Services User’s Help.


What's new in 4.0.3 release

What's new in the 4.0.3 release?

This section explains on new features, enhancements and deprecations in IBM FileNet IDM Web Services 4.0.3:

New features and enhancements

The following features are new for the administrator and administrator as a user:

  • Installation:
    • 64 bit support: IDM Web Services 4.0.3 can be installed on Windows operating systems on 64 bit environment (32 bit emulation mode).

    • Fresh installation, GUI installation: IDM Web Services 4.0.3 can be installed on a fresh machine. The GUI installation provides the users easy steps to install and configure the product.

    • Silent uninstallation: IDM Web Services 4.0.3 allows the administrator to uninstall the product silently without user intervention.

    • Localized installer: While installing using GUI, the installer has options of 14 languages including English for IDM Web Services. Depending on the user's operating system, product language will be configured.
    • Single source, single executable with language support: Single executable installer can run for all the localized versions for IDM Web Services.
  • Upgrade:
    • Upgrading from previous versions to 4.0.3: IDM Web Services 3.3. 4.0. 4.0.1, 4.0.2 versions and fix pack levels can be directly upgraded to 4.0.3 version. Example, 4.0.1 version can be upgraded directly to 4.0.3 version without upgrading to 4.0.2 version.
  • Help system compatibility:
    • Compiled HTML (.chm) Help files are provided with IDM Web Services. The .chm help files can be viewed on all IDM supported Windows operating systems.
  • Use of system time enabling different time zones supported in IDM Viewer:
    • In IDM Viewer, users can change Time Zone setting or IDM Viewer can pick it automatically from user's machine settings. This is applicable for Outlook documents only.
  • Common Logging support:
    • The logging infrastructure used by the product stores logged information in a proprietary (product-specific) format. Log R1 Adapter provides a data conversion utility (adapter) that can reformat the logged data into the CBE format upon request.
  • Application Integration with MS Office and Outlook 2007 and 2010:
    • IDM Office Integration is available for Office 2007 and 2010 (Word, Excel and Power Point).
    • IDM Outlook Integration is available for Outlook 2007 and Outlook 2010.
  • Viewing support:
    • Support for TIFF LZW and TIFF JPEG compression: TIFF LZW and TIFF JPEG file formats are supported in IDM Web Services 4.0.3. With this support, annotations can be applied and these images can be part of multi-page TIFF image format.
    • PDF/A and JPEG 2000 supported by IDM: PDF/A & JPEG 2000 file formats are supported for viewing in IDM Web Services 4.0.3.
  • Ability to search "closed" documents in IDM Find:
    • User can search the closed documents as a default option for any of queries performed in the search criteria. This feature is applicable for search performed against Image Services.
  • Enabling mouse to provide context menu for spin control in IDM Find:
    • Mouse is enabled with context menu for spin control that helps users to use mouse in IDM Find (IS library only) rather than just the keyboard, so that user can use mouse to copy and paste the document ID value [F_DOCNUMBER] in key conditions.

Deprecations in 4.0.3 release

Lotus Notes integration has been deprecated from 4.0.3 onwards. Users cannot integrate Lotus Notes with IDM Web Services 4.0.3.

Supported software/tool in 4.0.3 release

See the IDM 4.0.3 readme for supported software/tools.


What is IBM FileNet IDM Web Services?

What is IBM IDM FileNet Web Services?

IBM FileNet IDM Web Services is Web server software that allows users (called Web clients) to connect to IBM FileNet libraries through the Web after installing the Web client software. You install IBM FileNet IDM Web Services software on a Windows 2003 or later server with Internet Information Services (IIS) installed.

To access IBM FileNet libraries through the Web server, clients must install the Web client software. This software can be downloaded from the Web server, installed from the IBM FileNet IDM Web Services CD or installer from ftp, or installed by Microsoft SMS.

IDM Desktop users can access libraries through an IBM FileNet IDM Web server without installing additional Web client software.

Optionally, you can add the .NET-based Open Client to IBM FileNet IDM Web Services. Open Client requires no download.

IBM FileNet IDM Web Services and Open Client both interface with IBM FileNet Process.

For a list of new features, see What's new in the 4.0.3 release.


What's new in 4.0.1 release

What's new in the 4.0.1 release?

  • The list below briefly describes the new features and changes in the 4.0.1 release. CS user rights are validated based on the value of the "Add Folder" property for the user when attempting to create a folder in the CS library. CS user rights are validated only after installing CS 5.4 HFP 2 (both at the server and client side). An error message is displayed in case a user does not have appropriate rights. An Admin user can create a folder in CS library even if there are no rights assigned to this user for adding a folder.

  • IDM Find application displays the document id in positive value even if the document id exceeds the 2,147,483,647 value.

  • You can view documents in IDM Viewer through thin client, if IDMWS is configured for SSL.

  • The first-level System Manager integration with IBM FileNet IDM Web Services provides information such as Product Name, Version number, and static environmental data about IBM FileNet IDM Web Services. For capturing this information, the System Manager uses two major components: a Listener, which gathers data from applications, and a Manager, which provides users with the ability to view, save and export that data. For more information regarding System Manager Integration with IBM FileNet IDM Web Services, refer to Configure System Manager Listener.


What's new in 4.0.2 release

What's new in the 4.0.2 release?

New features and changes in 4.0.2 include:

  • Office 2007 Integration with IDM Web Clients: From IBM FileNet IDM Web Services 4.0.2 onwards, Application Integration of Office 2007 on IDM Web Clients is supported.

Note: If Application Integration is already installed with previous MS-Office version (2003), and upgrading to MS-Office 2007, then after user must have to reinstall Application Integration from IBM FileNet IDM Web Services 4.0.2 on IDM Web Clients for correct functionality.


Installation requirements

T he installation requirements for IDM 4.0.3 the details are available in the readme bundled with the IDM package.

SSL Certificate

Secure Sockets Layer (SSL) is a set of cryptographic technologies that provides authentication, confidentiality, and data integrity. SSL is most commonly used between Web browsers and Web servers to create a secure communication channel. It can also be used between client applications and web services.
Before configuring SSL on a Web server you need to perform the following tasks:

  1. Generate a certificate request: Creates a new certificate request, which can be sent to a Certificate Authority (CA) for processing. If successful, the CA will send you back a file containing a validated certificate.

  2. Submit a certificate request: Uses Microsoft Certificate Services to submit the certificate request generated in the previous task.

  3. Issue the certificate: Issues a certificate requested in the previous task.

  4. Install the certificate on the Web server: Uses Microsoft Certificate Services to submit the certificate request generated in the previous task.

  5. Configure resources to require SSL access: Uses Internet Services Manager to configure a virtual directory to require SSL for access. You can require the use of SSL for specific files, directories, or virtual directories. Clients must use the HTTPS protocol to access any such resource.

For detail information on how to perform the above listed tasks, refer to the following Microsoft link How to setup SSL on a Web Server.

Following are the steps to check whether SSL is configured on a Web server:

  1. Click Start->Run type mmc and click OK to open the Microsoft Management Console.

  2. Click Add/Remove Snap-in… from the Console menu.

  3. Click Add to add certificate snap-in corresponding to the "computer account" of "local computer".

  4. After adding the above-mentioned snap-in, check for the CA certificate in the Trusted Root Certificate Authorities Store tab.

  5. If CA certificate in not available then perform the following steps to add CA certificate.

a. Go to (http://certificateserver/certsrv).

b. Click on Download a CA Certificate, certificate chain or CRL link. Use the import wizard of Trusted Root Certificate Authorities Store tab to import the downloaded certificate.

Pre-installation Steps for Installing IDM Web Services on Windows 2003

Following are the steps for installing IDM Web Services on Windows 2003:

  1. Click Control Panel>Add/Remove Programs>Add/Remove Windows Component

  2. Double click on "Application Servers".

  3. This will open a new window. Make sure "Internet Information Services(IIS)", "Enable Network COM+ access" and "ASP.NET" are checked.

  4. Highlight "Internet Information Services(IIS)" and click Details.

  5. This will open a new window. Make sure that "Common Files", "Front Page 2002 Server Extensions", "Internet Information Services Manager" and "World Wide Web Services" sub components are checked.

  6. Highlight "World Wide Web Services" and click Details.

  7. This will open a new window. Make sure that "Active Server Pages", "Remote Desktop Web Connection", "Server Side Includes" and "World Wide Web Service" sub components are checked.

  8. Click "OK" on all the new windows and "Next" on Windows Components screen.


Overview of IBM FileNet IDM Web Services 4.0.3 Installation

Installing IBM FileNet IDM Web Services 4.0.3 involves running the setup program from the installer from CD or ftp and selecting the components to install, specifying physical and virtual directories for Web documents (which determines the URL), and entering the Web server administrator's logon information. Once you have finished, the setup program installs the required software and the selected components.

Following installation, you add libraries using IDM Configure. These libraries will be visible to all Web client users and accessible to users who have valid logons. You can also set preferences (change defaults) with IDM Configure. With IDM Find, you can create and store searches for IBM FileNet documents that Web client users can choose from a menu.


Install IBM FileNet IDM Web Services 4.0.3

To install IBM FileNet IDM Web Services 4.0.3 on any supported platform, you must be logged on with a user name that has Administrator privileges. To complete the installation following a required reboot, you must log on using the same user name.

To install IBM FileNet Web Services 4.0.3

  1. Back up any Web applications.

  2. Verify that IIS and ASP.NET are enabled on the platform.

  3. Install any service pack required for your operating system.

  4. Install or upgrade to Internet Explorer 6.0 SP1, or a later version.

  5. Close all active programs including virus protection software and the Microsoft Office Toolbar.

  6. Use IBM FileNet IDM Web Services 4.0.3 installer from CD or ftp. Usually, the setup program starts automatically. If it doesn’t, navigate to the root directory of the CD ROM and double-click on IDMWebServices403.exe.

    Alternatively, you can copy the CD or installer from ftp to a network drive, map a local drive to that network drive. Then, using the mapped drive, navigate to the copied software and double-click on IDMWebServices403.exe.

  7. Click Next button to install IDM Web Services 4.0.3.

  8. Select I accept the IBM FileNet End User Software License Agreement.

  9. Accept or select the destination folder for IDM Web Services 4.0.3. The default is C:\Program Files\IBM\IDM.

  10. Select the components to install. The options are:

    • IDM Web Services (required core application)

    • Image Services (for access to IS libraries)

    • Content Services (for access to CS libraries)

    • Web Services Client

    • IDM Desktop Applications: Find, Explorer, and Viewer, which serve as utilities for the Web administrator

  11. Specify the physical directories and virtual directories. Do not use an underscore in the virtual directory name.

    • Setup must install the icon images that represent various file types. The default physical directory is C:\Program Files\IBM\IDM\Web\DocImages. The default virtual directory is \DocImages.

    • Setup must install the Web application. The default physical directory is C:\Program Files\IBM\IDM\Web\IDMWS. The default virtual directory is \IDMWS.

  12. Specify a user account that has administrative privileges. This information includes a User name, Password, and the Domain in which the Web server is running.

  13. Reboot.

  14. On Windows 2003 Server/IIS 6 only, add extensions:

  1. Start Internet Information Services Manager.

  2. Right-click Web Services Extensions, and choose Add a new Web service extension….

  3. Select the Set extension status to Allowed check box.

  4. Assign an extension name such as IBM FileNet Web Extensions.

  5. Click the Add button.

  6. Browse to the …IBM\IDM\Web\idmws folder, select DocContent.dll, and then click Open.

  7. Repeat steps d and e to add DocUpload.dll.

  15. On Windows 2008 Server/IIS 7 only, add extensions:

  1. Start Internet Information Services Manager.

  2. Click on the Computer name.

  3. In Features View, double click ISAPI and CGI Restrictions.

  4. In the Actions pane, click Add.

  5. In the Add ISAPI or CGI Restriction dialog box, browse for the complete path of DocContent.dll. (Example: <Installation Directory>\IBM\IDM\Web\idmws\DocContent.dll)

  6. Give the description name and check Allow extension path to execute.

  7. Click OK.

  8. Repeat steps d to g to add DocUpload.dll.

After installing IBM FileNet IDM Web Services 4.0.3 software:

  1. Verify the Web server installation to verify directory mapping.

  2. If you need access to CS libraries with Oracle client libraries, install the Oracle client software.

  3. Configure an ODBC Data Source for each CS database server.

  4. Configure (add) IBM FileNet libraries and set preferences .

See also
Setup Log File
Enable Parent Path


Install Web Services application integration

Install or upgrade IBM FileNet IDM Web Services Application Integration

IBM FileNet IDM Web Services Application Integration for Microsoft Office adds IBM FileNet commands to Word, PowerPoint, Excel, and Outlook.

The installation requirements for application integration, the details are available in the readme bundled with the IDM package.

You can install application integration from the CD or ftp, copy the IMAppInt.exe file to the local hard drive and install it from there, or download application integration from the web server’s Download page.

You can upgrade from 3.3, 4.0, 4.0.1 or 4.0.2 Web Services Application Integration.

To install or upgrade IDM Web Services application integration

  1. Locate the IMAppInt.exe program (in the OfficeIntegration folder on the CD, in a location on a network drive where you copied it, or to the file downloaded from IDM Web Services).

  2. Double-click the IMAppInt.exe file.

  3. Follow the instructions in the dialogs.

For a new installation, you select the installation location, select the applications you wish to integrate, and enter the URL of a 4.0.3 Web server.

For an upgrade, the software will upgrade the installed components. You cannot make changes during an upgrade.

Notes

If you run IMAppInt.exe again, you can re-install the software. You cannot change the installation location but you can reselect integrated applications and reset the web server URL.

You can upgrade to 4.0.3 independently of the release of P8 Application Integration.


Verify the Web server installation

When the IBM FileNet IDM Web Services software installation is complete, use these steps to verify the installation.

To verify the IBM FileNet IDM Web Services installation

  1. Open the Internet Services Manager: From the Windows Start menu, select Programs, Administrative Tools, and Internet Service Manager.
  2. Expand the Internet Information Server tree so that you can see your Web server’s Default Web Site.
  3. Verify that DocImages was installed.
  4. If you installed the ActiveX client, verify that idmws was installed.
  5. Using a browser, access your Web site from another computer. For example, http://<webservername>/idmws.


What's installed?

For information on the IBM FileNet software installed on a Web server, see Setup’s log file, idmweb.log, or display the Help>About dialog for an IBM FileNet application.

idmweb.log

During the initial installation and subsequently for each fix pack, installation information is recorded in the log file, idmweb.log. Setup places the log file in the WINNT System directory.

Idmweb.log can be used to verify and troubleshoot an installation. If you need to contact your service representative, the representative will need this log file for reference.

The log file contains the following information:

  • The date and time the installation started and finished.

  • Information about the computer, such as operating system and version, video card and monitor resolution, memory, system directory path, and disk drives.

  • A list of all installation dialogs that displayed, such as destination directory dialog and the component selection dialog.

  • Setup program activity.

  • A list of the components that setup successfully installed.

  • A list of all changes setup made to the registry.

  • Any errors or warnings.

Help>About dialog

For each IBM FileNet application, the Help>About dialog shows the release number, the fix pack number if one is installed, and the build number of the release or fix pack.

See also
File registration failure


Enable Parent Path

The IIS Parent Path option enables the ASP code to use relative path of the current virtual directory. In IIS 6.0 the IIS Parent Path option is disabled by default.

Run the UpdateVDirectory.exe utility available in the IDM installation directory. This utility is run both automatically and manually. It is automatically invoked from the installer when while installing IDM the user modifies the path of the default virtual directory. The utility retrieves the installation path for the ActiveX client from the registry, opens each ASP file in the retrieved physical location, searches for all instances of IDM Web Services and replaces it with the new virtual directory.

You need to run the UpdateVDirectory utility manually when the user directly renames the virtual directory from IIS Service Manager. Renaming the virtual directory changes the virtual path in all the ASP files. In this case, a form is displayed to the user where he is required to enter the name of the new virtual directory.

Note

If you do not run the utility manually after renaming the virtual directory, then the site would stop working as all the #include directives are pointing to a virtual directive that does not exist.


Upgrade to IDM WS 4.0.3

Upgrade to IDM Web Services 4.0.3

To upgrade to IDM Web Services 4.0.3

  1. Reboot the PC before running Setup.

  2. Close all active programs, including virus protection software. Use the IBM FileNet IDM Web Services installer from CD or ftp. Usually, Setup will start automatically. If it does not, run IDMWebServices403.exe, which is in the root directory of the CD or ftp installer, alternatively, if you have copied the installer to a network drive, map a local drive to that network drive. Then, using the mapped drive, navigate to the copied software and double-click on IDMWebServices403.exe

  3. User is prompted with the screen “Older version of IDM Web Services found, do you want to upgrade”. Click Yes to proceed with the upgrade.

  4. Select I accept the IBM FileNet End User Software License Agreement.

  5. Already existing components would be upgraded to newer version. Existing installation path is used to install in case of upgrade.

  6. Reboot the PC.

  7. Refer to Add and Remove components in case you want to add or remove any IDM components.

Note:

IDM Web Services 3.3. 4.0. 4.0.1, 4.0.2 and fix pack levels can be directly upgraded to IDM Web Services 4.0.3 without upgrading to higher versions. Example, IDM 4.0.1 can be upgraded directly to 4.0.3 without through 4.0.2.

After upgrade the start program menu gets changed from "FileNet IDM" to "IBM FileNet IDM" and the installation path remains same as C:\FileNET\IDM. Where as a fresh installation shows the path with C:\Program Files\IBM\IDM.


Silent Install 403 and upgrade

Silent Installation

Run IDMWebServices403.exe with -r option, so that all the options required for silent installation are recorded. This creates a file named "Setup.iss" in the <WINDOWS> folder. This is the recorded input file for silent installation. You can use the recorded file for running the installation in silent mode.

Keep the Setup.iss in some location and then run IDMWebServices403.exe with the following option so that installation is done silently:

Command Line: IDMWebServices403.exe /s /f1"<PATH>/Setup.iss

Silent Upgradation

IDM Web Services 4.0.3 supports Silent upgradation from IDM Web Services 3.3, 4.0, 4.0.1, 4.0.2 and any levels of fix packs.

Run IDMWebServices403.exe with -r option on the existing IDM Web Services version, so that all the options required for silent installation are recorded. This creates a file named "Setup.iss" in the <WINDOWS> folder. This is the recorded input file for silent installation. You can use the recorded file for running the installation in silent mode.

Keep the Setup.iss in some location and then run IDMWebServices403.exe with the following option so that installation is done silently:

Command Line: IDMWebServices403.exe /s /f1"<PATH>/Setup.iss


Add and remove components

You can add and remove IS library support, CS library support, Web applications, and IDM Desktop applications (Find, Explorer integration, and the IDM Viewer).

To add or remove IDM Web Services components

  1. If you are removing components, reboot the computer to clear memory.

  2. Close all active programs, including virus protection software.

  3. Use IBM FileNet IDM Web Services installer from CD or ftp.

  4. If Autostart is enabled on the PC, the IBM FileNet Web setup window displays. If not, select Run from the Windows Start menu, navigate to the root level of the CD ROM and select Setup.

  5. Select Add/Remove from the welcome dialog.

  6. Click the Add/Remove button.

  7. Select the component(s) to add or remove.

  8. Follow the prompts.

  9. Reboot the computer.

See Also
Uninstall IDM Web Services and CS client libraries


Silent Uninstall 403

Silent Uninstall of IBM FileNet IDM Web Services 4.0.3

“Silent“ Uninstallation will uninstall IDM in the manner how the GUI uninstallation is done. A recorded file is to be created while GUI uninstallation. There is a dependency on the installer “IDMWebServices403.exe” to create the recorded file or response file.

To record silent uninstallation response file, we have to execute the same “IDMWebServices403.exe” from the source directory. This will ask for the maintenance window, by selecting the “Remove” mode in the maintenance window will start removing the entire IDM Web Services setup.

To create the response file use the following command:

<Path> IDMWebServices403.exe -r -f1uninstall.iss

This will create “uninstall.iss” as the response file, which is to be used for the play back to remove the IDM Web Services silently.

To use the response file for silent uninstallation, run the command:

<Path> IDMWebServices403.exe -s -f1C:\uninstall.iss

This will be uninstalling the application silently.


Uninstall IDM Web Services and CS client libraries

Uninstall IBM FileNet IDM Web Services and CS client libraries

This procedure involves two steps. You first uninstall IBM FileNet IDM Web Services, then uninstall the CS client libraries.

Important

Back up any customized applications before uninstalling IBM FileNet IDM Web Services. Otherwise, those pages will be deleted when you uninstall.

Uninstall IBM FileNet IDM Web Services

  1. Reboot your system immediately before you uninstall IBM FileNet IDM Web Services.

  2. From Windows Control Panel, select Add/Remove Programs.

  3. From the list of programs, select IBM FileNet IDM Web Services.

  4. Click Remove All.

Uninstall CS client libraries

  1. From Add/Remove Programs, select IBM FileNet IDM CS Client Libraries.

  2. Click Yes to all prompts.

  3. Reboot your system.


Web server configuration overview

Configuring the web server involves using IDM Configure to set up access to IS and CS libraries, setting preferences, setting up searches, and setting up an alternate configuration for Windows clients that do not have the Microsoft Java Virtual Machine.

For information on configuring access to libraries, see:

About libraries
Add an IS Library
Add a CS library
Configure ODBC Data Source for CS
Remove a library
Edit a library's label
For information on setting other preferences, see:
Preferences overview
Set preferences
Restore default preferences
About preference files
Preference Guide
For information on setting up searches, see:
Create stored searches and search templates
Disable Simple Search
For information on registry settings, see:
Configure System Manager Listener
For information on setting up an alternate configuration for Windows clients that do not have MSJVM, see:
Client SSL and MSJVM requirements


About libraries

You can add (configure access to) any number of IS and CS libraries. Once you add a library, an icon, along with the library name that you define, will appear in the web client’s IDM Bar. You will see the libraries in the IBM FileNet Neighborhood on the web server if you have installed explorer integration. IS library icons are blue, and CS library icons are yellow.

Preferred libraries

Preferred libraries are IS and/or CS libraries that you add to the configuration; only those libraries that have been configured as preferred will be accessible to web clients and the web server. Preferred libraries appear in the IBM FileNet Neighborhood on the web server, in the Look in drop down menus in IDM Find, and in the IDM Viewer's Open dialog.

Default library

The default library applies only when logging onto a web server, and has no relevance to a web client. It is the first library to appear when you open the IDM Find and Viewer applications, and should be the one that you think that you will use most frequently. It can be either an IS or a CS library.

The first library defined is automatically designated as the default library. You designate a different default library by selecting it in the Preferred Libraries list in the IDM Configure dialog, then clicking the Set Default Library button.

Default network library (IS)

The default network library applies only when logging onto a web server, and has no relevance to a web client. It is the first IS library to appear when you open the IDM Find and Viewer applications, and should be the one that you think that you will use most frequently.

When you view the Entire IBM FileNet Network in the IBM FileNet Neighborhood, the IS libraries listed in the Configuration Database on the default network library appear. The default network library determines the list of libraries that you see in the Entire IBM FileNet Network. (For information on the Configuration Database and how peer systems are entered into it, see the document "IDM Image Services System Configuration Overview".)

The first IS library defined is automatically designated as the default network library. You designate a different default network library by selecting it from the Preferred Libraries list in the IDM Configure dialog, then clicking the Set Default Network Library button.

The procedure for adding a library varies between IS and CS.

Add an IS Library
Add a CS library
See also
Remove a library
Edit a library's label


Add an IS library

This procedure explains how to add IS libraries. The first IS library added is designated as the default network library .

To add an IS library

  1. Open IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Click Add from the IDM Configure dialog.

  3. Click the Image Services radio button.

  4. Identify the library by entering the Library name and Service information:

  1. Library name Enter the name that you want to use to refer to this library. This will be the library label of the icon in the IBM FileNet Neighborhood. This is the name that web clients will see.

  2. Domain Type the name of the system. The domain name is case sensitive.

  3. Organization Type the organization. IS system names are case sensitive

  4. Domain and Organization are the second and third parts of the standard three-part IS name. An example of a three-part IS name is:

  5. IMS100:corporate:acme

  6. Click OK. The library that you added appears under Preferred Libraries.

  7. Click Close.

See also
Add a CS library


Add a CS library

To add a CS library

  1. Open IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Click the Add button.

  3. Click the Content Services radio button.

  4. Identify the library by entering the Library name and Service information:

  1. Library name Enter the name that web clients see.

  2. Each library name must be unique. If your site has two CS libraries with identical Library names, only one can be added to the configuration and used at a time; one will have to be removed before the other is added.

  3. If you do not enter a library name the default is System name^Host Machine name.

  4. System Enter the library system name. The system name must be unique on the workstation (even if it is on a different host machine).

  5. Host Machine Enter the name of the property server.

  6. Click Close.

  7. Configure an ODBC Data Source for each CS server.

  8. Configure the TNSNAMES.ORA file for CS servers that use an Oracle database.

See also
Add an IS Library
Configure ODBC Data Source for CS server


Configure ODBC Data Source for each CS database server

To configure the ODBC data source for a CS SQL Services database server

Complete this procedure for each CS SQL Services database server.

  1. Start the Windows Data Source (ODBC) Administrator. For information on starting the ODBC Data Source Administrator, search for "ODBC Data Source Administrator" in the Windows Help

  2. Select the System DSN tab, and then click Add.

  3. Select the SQL Server driver, and then click Finish. This starts the "Create a New Data Source" wizard.

  4. Enter the database server (property server) name in the Name and Server fields, enter an optional Description, and then click Next.

The DB server name is the same as the CS computer name unless you are using a remote DB server. In case of remote DB server the DB server name will be the same as of the remote server.

  5. Click the Client Configuration… button, select TCP/IP, and then click OK.

  6. Select SQL Server authentication using a logon ID and password entered by the user. Unselect the option Connect to SQL Server to obtain default settings for the additional configuration options.

  7. Click Next.

  8. Click Next.

  9. Click Finish.

To configure the ODBC data source for a CS Oracle database server

If you are using Oracle, the Oracle client software must be installed and you must configure a Net Service Name before you use the procedure below to configure an Oracle ODBC Data Source. For information on configuring the Net Service Name, refer to the IBM FileNet Content Services Administrator’s Help.

  1. Start the Windows Data Source (ODBC) Administrator. For information on starting the ODBC Data Source Administrator, search for "ODBC Data Source Administrator" in the Windows Help.

  2. Select the System DSN tab, and then click Add.

  3. Double-click Microsoft ODBC for Oracle to bring up the ODBC Driver Setup dialog box.

  4. Click Options to expand the dialog box.

  5. Enter the Data Source Name.

  1. For a CS library with an Oracle database on a Solaris server, the Data Source Name and server name entered here, and the server name entered in IDM Configure, must match the VCatServerName, which is the Network Service Name entered during Content Services installation.

  2. For all other CS libraries with an Oracle database, enter the Data Source Name (use the server name), enter the server name, and select the "SQLDescribeCol always returns a value for precision" check box.

  6. Click OK.

  7. Optionally, you can test the ODBC connection using the Oracle ODBC Test utility as follows:

  1. Select the Data Source Name for the machine you just created.

  2. Enter the following command in SQL*Plus to connect to the database instance:

sys/sys_pwd@db_servername

If you receive an error, make sure that you have entered the correct information for your Local Net Service Name configuration and for the ODBC connection. Review your initORACLE_SID.ora, listener.ora, and tnsnames.ora files. Also make sure that the listener service is started.


Remove a library

Once a library is removed from the configuration, it is no longer accessible to web clients.

Removing a library does not remove stored searches and search templates from the web server. To continue to access the searches, you can move them to a directory that is associated with a preferred library.

You cannot remove the last library from the list of preferred libraries, nor can you remove a default library. To remove the library configured as the default, first select a different library and make it the default (select the library from the Preferred Libraries list, then click the Set Default Library button), and then you can remove it.

To remove a library

  1. Open IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Select the library to be removed in the Preferred Libraries list box.

  3. Click Remove.

  4. Click Close.


Edit a library's label

You change the name (label) that identifies a library in the IBM FileNet Neighborhood by using IDM Configure.

To change a library’s label

  1. Open IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. In the Preferred libraries list, select the library whose label you want to change.

  3. Click Edit.

  4. Delete the library name in the Library name field and type the new name.

  5. Click OK then Close.


Preferences overview

Some preferences apply only the web server, some apply only to web clients, and some apply to both. Those that apply to web clients apply to all web clients that access libraries through that web server. Preferences are divided into these categories:

  • Documents

  • Directories and Files

  • Searching

  • Publishing

  • Viewing

  • Libraries

  • Print/Fax

Each category has one or more subcategories, and each subcategory has one or more associated preferences. Preferences that do not apply to the web client are ignored.

For a list and a description of each preference, see the Preference Guide.

See also
Set preferences
Restore default preferences


Set preferences

See the Preference Guide for a list and a description of each preference. Your Windows account must grant you Administrator or Power User privileges to set preferences for IBM FileNet IDM Web Services.

To set preferences

  1. Open IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Click Additional Preferences. The IDM Preferences dialog displays, in tree view, the list of categories.

  3. Select the preference category that you want to specify from the tree.

  4. The area below the preference tree list displays the options available for the selected preference, and the text box at the bottom of the dialog provides a description of the preference. Depending on the preference, you can change values by doing one of the following:

    • Entering text

    • Clicking a check box, radio button, or spin arrow

    • Selecting from a list

    • Browsing for a folder

  5. Make your changes, click OK, then click Close.

  6. Reboot the web server if you've changed any preferences that require it before taking effect.


Restore default preferences

You can restore an individual preference to its default or all preferences (with a few exceptions) to their defaults using IDM Configure. Library preferences with local paths defined, Edit the file extension associations (under Alternate Viewers), and preferences affecting Windows security must be restored manually.

You can see whether a preference is set to its default or whether it has been changed by selecting the preference and looking at the Restore Default button. If the button is dimmed, the preference is set to its default. If the button is active, the preference was changed from its default.

To restore all defaults

  1. Open IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Click Additional Preferences.

  3. Click Restore All Defaults.

To restore a single preference to its default

  1. Open IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  2. Click Additional Preferences.

  3. Select the preference to restore.

  4. Click the Restore Default button.


Preference Guide

This Preference Guide lists and describes all of the preferences that apply to IDM Desktop and IDM Web Services.

Preferences are divided into categories (Documents, Directories and Files, Searching, etc.), subcategories (Default Action, Folder Operations, etc.) with individual preferences within each subcategory.

Not all preferences will apply or display in all installations. For example, if you have no IS libraries configured, no IS library preferences will display in IDM Configure.

To use the Preference Guide

  1. Click on a book in the Contents tab to the left of this window to display each subcategory, then each individual preference within it.

  2. If you are looking for a specific preference, click the Search tab and enter the name of the preference, or click on the Index tab. Each preference is listed in the index alphabetically and also under the keyword "preferences."

See also
Preferences overview
Set preferences


Display order

Preference | Display Order
Description | Defines what happens when you select a type of CVL order.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] CVL
Applies to | IDM Desktop Web server CS libraries
Possible values | Manual Automatic (Default)
Takes effect | Immediately
API | No
Exportable | Yes


IS desktop document action

Preference | IS desktop document action
Description | Defines what happens when you double-click on an IS document icon (single-click with an active desktop configuration).
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Default action
Applies to | IDM Desktop Web server IS libraries
Possible values | IDM View (default) Open Preview Properties
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


CS desktop document action

Preference | CS desktop document action
Description | Defines what happens when you double-click on a CS document icon (single-click with an active desktop configuration).
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Default action
Applies to | IDM Desktop Web server CS libraries
Possible values | Open (default) IDM View Checkout Checkout and Open Copy To Copy and Open Preview Properties
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


IS web document action

Preference | IS web document action
Description | Defines what happens when a web client user double-clicks on an IS document icon.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Default action
Applies to | Web client IS libraries
Possible values | IDM View (default) Open
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


CS web document action

Preference | CS web document action
Description | Defines what happens when a web client user double-clicks on an CS document.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Default action
Applies to | Web client CS libraries
Possible values | Open (default) IDM View
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


New document must be filed in folder

Preference | New document must be filed in folder
Description | When set to Yes, a new or published document must be filed in a folder. When set to No, you can add or publish a document without filing it in a folder.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


Set document title to filename

Preference | Set document title to filename
Description | Sets the default title of a new CS document to the file name (without the extension). If set to No, the default title is set to the document ID.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


Index content

Preference | Index content
Description | Index for content searching when you add, publish, or check in a document.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop CS libraries
Possible values | Use library default (default) Index Do not index
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "Index content"

Preference | Show "Index content"
Description | When set to yes, shows the prompt to index the document for content searching when a document is added, published or checked in.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Keep local copy

Preference | Keep local copy
Description | Keep local copy of files you add and checkin.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "Keep local copy"

Preference | Show "Keep local copy"
Description | Prompt to keep local copies of files you add or check in. Also see Keep local copy.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Security for new CS documents

Preference | Security for new CS documents
Description | The System default for user setting gets new document security from the user’s profile. The Folder setting gets new document security from the folder. In either case, the user who adds the document gets owner access rights.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | System default for user (default) Folder
Takes effect | Immediately
API | Yes. Cannot be overridden by API call.
Exportable | Yes


User closes add/checkin confirmation dialog box

Preference | User closes add/checkin confirmation dialog box
Description | When set to Yes, requires the user to click OK to close the confirmation dialog box after a document is added.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Determine if the file is a compound document

Preference | Determine if the file is a compound document
Description | If set to Yes, finds linked documents during add and checkin operations. Documents previously identified as compound documents are always checked for links. If the "Determine if the file is a compound document" check box appears in the Add wizard, this preference sets the default.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "Determine if the file is a compound document"

Preference | Show "Determine if the file is a compound document"
Description | If set to yes, the Document Wizard displays a check box and the text "Determine if the file is a compound document". If set to no, the check box does not appear, and the Determine if the file is a compound document preference takes effect. Also see Determine if the file is a compound document.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


File children of compound document with the parent

Preference | File children of compound document with the parent
Description | When adding or checking in a compound document, automatically files the child documents in the folder where the parent document is filed. Also see Show "File children".
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "File with parent" check box

Preference | Show "File with parent" check box
Description | Prompt to file a compound document’s children in the same folder as the parent. Also see File children of compound document with the parent .
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes
Exportable | Yes. Can be overridden by API call.
Upgrade | No


IS document label

Preference | IS document label
Description | IS document label is a property that replaces the document ID in the Name column in the IBM FileNet Neighborhood, search results, and so forth.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop IDM Desktop custom applications Web server Web client IS libraries
Possible values | A valid property name. The default is F_DOCNUMBER
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


Checksum new IS document

Preference | Checksum new IS document
Description | Checksums IS documents when they are added.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


Checksum retrieved IS documents

Preference | Checksum retrieved IS documents
Description | Checksums IS documents when they are retrieved.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


View Report Manager statements as PDF

Preference | View Report Manager statements as PDF
Description | Retrieves Report Manager statements as PDF documents.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | Web client IS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | No
Exportable | Yes

Web clients can use either Acrobat Reader or Acrobat, but not both.

This preference applies to web clients only.

  • If the preference is set to Yes, and the web client machine has both the IDM Viewer and Adobe Acrobat Reader, Report Manager statements with statement security are displayed as PDF documents in the viewer, using the Acrobat 6.x.

  • If the preference is set to No, and the web client machine has both the IDM Viewer and Adobe Acrobat 4.x, 5.x, and 6.x, Report Manager statements with page security and PDF reports are displayed as PDF documents in the viewer, using the Acrobat 6.x.

Note

Although Report Manager supports Acrobat 4.0, numerous problems are fixed in versions 4.05a and 6.x. We recommend 6.x.

See also

Report Manager integration


Use server notification for IS document migration

Preference | Use server notification for IS document migration
Description | When set to yes, an IS library server notifies a client upon the completion of a document migration request. When set to no, a client polls the server for document migration status on a 10-second interval for the duration specified in the IS document migration timeout preference. Those who filter UDP network packets or who perform network IP address translations must uncheck this preference because otherwise server notifications cannot reach clients.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


IS document migration timeout (seconds)

Preference | IS document migration timeout (seconds)
Description | Determines the number of seconds to wait for a document to migrate to IS library server cache.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | From 1 to 600 seconds The default is 120 seconds.
Takes effect | Immediately
API | Yes. Cannot be overridden by an API call.
Exportable | Yes


Show security page in the Add Wizard

Preference | Show security page in the Add Wizard
Description | Show the security page in the Add Wizard when adding a new document to a CS library.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Add, checkin, retrieve
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


Default read permission for new IS annotations

Preference | Default read permission for new IS annotations
Description | Sets the default read permission for new IS annotations.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Annotations
Applies to | IDM Desktop Web server IS libraries
Possible values | ANYONE Primary group of logged on user (default) Logged on user System default NONE
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Default write permission for new IS annotations

Preference | Default write permission for new IS annotations
Description | Sets the default write permission for new IS annotations.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Annotations
Applies to | IDM Desktop Web server IS libraries
Possible values | ANYONE Primary group of logged on user (default) Logged on user System default NONE
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Default append/execute permission for new IS annotations

Preference | Default append/execute permission for new IS annotations
Description | Sets the default append/execute permission for new IS annotations.
How to set | IDM Configure [image] Additional Preferences [image] Documents [image] Annotations
Applies to | IDM Desktop Web server IS libraries
Possible values | ANYONE Primary group of logged on user (default) Logged on user System default NONE
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Document checkout directory

Preference | Document checkout directory
Description | The default local directory for documents checked out from a CS library. If you are using application integration, do not set the document checkout directory to the system’s default temp directory.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Checkouts and Copies
Applies to | IDM Desktop Web server CS libraries
Possible values | The name of a directory. The default is C:\My Documents
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes

CAUTION

If you assign the checkout directory to a network drive, be aware that new OLE links in compound documents will be interpreted as new documents. See the workaround in the troubleshooting topics in the IDM Desktop User's Help.


Document copy directory

Preference | Document copy directory
Description | The default local directory for documents copied from a CS library. If you are using application integration, do not set the document copy directory to the system’s default temp directory.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Checkouts and Copies
Applies to | IDM Desktop Web server CS libraries
Possible values | The name of a directory. The default is C:\My Documents
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Prompt for filename on checkout or copy

Preference | Prompt for filename on checkout or copy
Description | Prompt the user for the filename of a checked out or copied file. If not selected, the Default checkout or copy directory is used along with the filename stored in a CS library. If the file already exists, the user will be prompted.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Checkouts and Copies
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


Cache directory

Preference | Cache directory
Description | Lets you change the name or location of the directory where cached files are stored.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching
Applies to | IDM Desktop Web server Web client CS libraries IS libraries
Possible values | The name of a directory. The default is %IDMInstall%\Cache. (The Cache directory under the IBM FileNet installation directory.)
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | No

Important Note

Always assign a directory that is used only for caching files. When you uninstall IDM Desktop or IBM FileNet IDM Web Services, the entire cache folder is deleted. Any back-up software should be configured to exclude the cache directory.


Delete cache on logoff

Preference | Delete cache on logoff
Description | Enables or disables the option of deleting files from local cache when you log off from all libraries or shut down the computer.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching
Applies to | IDM Desktop Web server Web client CS libraries IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Maximum cache size (MB)

Preference | Maximum cache size (MB)
Description | Defines the maximum amount of disk space, in megabytes, for local cache.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching
Applies to | IDM Desktop Web server Web client CS libraries IS libraries
Possible values | From 1 MB to 4095 MB. The default is 10 MB for IDM Desktop, and 100 MB for IBM FileNet IDM Web Services.
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes

The amount of cache available also affects the maximum size of a file that can be opened in IDM View. When determining the maximum cache size, estimate the average size of a library file and multiply that by two. Make sure that cache is big enough to hold the largest file. If your system has multi-page TIFF files, make sure that the cache can accommodate these.

When a web client user opens a file, the file is copied into cache on the web server. This specifies the amount of cache on the web server used by web clients.


Maximum cached documents (K)

Preference | Maximum cached documents (K)
Description | Defines the maximum number of documents or image pages that can be stored in the local cache. Once this limit has been reached, no more pages can be retrieved as old pages are not aged out.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching
Applies to | IDM Desktop Web server Web client CS libraries IS libraries
Possible values | From 1 to 100 K (1,000 to 100,000). The default is 10 K (10,000).
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Configure NT credentials for cache

Preference | Configure NT credentials for cache
Description | Provides security for files in cache on the web server.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Local Caching If setting to Yes, add Common User as described below.
Applies to | Web server (configured with integrated Windows access) IDM Desktop (configured with integrated Windows access) Web client CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | After restarting Windows
API | No
Exportable | Yes. Can be overridden by API call.

By enabling this preference, access to the cached files and sub directories is restricted to users whose IS or CS credentials have already been verified on the IS library.

Security on the directory where IDM Desktop or IDM Web Service is installed is set to a specific Windows user group, rather than the recommended default (which is Full Control access to EVERYONE group).

To configure local cache security

  1. Start IDM Configure and navigate to the Edit the file extension associations preference: Start, IDM Configure, Additional Preferences, Directories and Files [image] Local Caching [image] Configure NT credentials for cache.

  2. Click Configure NT credentials for cache.

  3. Click Enable setting NT credentials to cache files.

  4. Enter "Common User" in the User field, enter a password, and confirm the password.

  5. Click OK, exit the program, log off the computer, and then log back on.


Enable IS prefetching

Preference | Enable IS prefetching
Description | Enables or disables all prefetching. When set to no, other prefetching preferences are ignored.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server * Web client IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes

For this preference to work with a web client:

  • The preference must be set to Yes.

  • Prefetching must be enabled on the IS library.

  • An API must be written.


Page-ahead prefetching

Preference | Page-ahead prefetching
Description | Enables or disables prefetching of ID documents. When enabled, the software attempts to prefetch the page you are most likely to view next, depending on the recent paging sequence.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Page ahead prefetching higher priority

Preference | Page-ahead prefetching higher priority
Description | Enables or disables prefetching of the next page before processing any custom application prefetch requests.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Prefetch to server cache

Preference | Prefetch to server cache
Description | Enables or disables prefetching documents to server library server cache when a custom application queues the documents for prefetching to local cache.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Yes (default) No
Takes effect | After restarting Windows
API | Yes. Can be overridden by API call.
Exportable | Yes


Priority

Preference | Priority
Description | Tells the operating system the relative priority of prefetch requests.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Time critical High Above normal Normal Below normal (default) Low Idle
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Interval (milliseconds)

Preference | Interval (milliseconds)
Description | Sets the interval between prefetch activities.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | From 1 to 32,767 milliseconds The default is 500 milliseconds
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Maximum pages in retrieved list

Preference | Maximum pages in retrieved list
Description | Sets the number of pages in a paging sequence, which determines the next page for page-ahead prefetching.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | From 1 to 32,767 pages The default is 10
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Maximum time to keep item in retrieved list (minutes)

Preference | Maximum time to keep item in retrieved list (minutes)
Description | Sets the time, in minutes, that a page remains in the paging sequence.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Prefetching
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | From 1 to 32,767 minutes The default is 500 minutes
Takes effect | After restarting Windows
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Log directory

Preference | Local directory for saving error logs
Description | The default local directory where the logs of the application will be saved. Currently only the Queue Maintenance application uses this preference.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Logging
Applies to | IDM Desktop Web server IS libraries
Possible values | The name of a directory. The default is %IDMInstall%\Log. (The Log directory under the IBM FileNet installation directory)
Takes effect | Immediately
API | No
Exportable | Yes


Enable LDAP for the whole web site

Preference | Enable LDAP for the whole web site
Description | Enables LDAP logon for all libraries configured for this web site.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | No
Exportable | Yes

Setting this preference to Yes activates the other LDAP preferences.

See also

Set up LDAP logon


Server name

Preference | Server name
Description | The name of the LDAP server.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | Any LDAP server hostname. No default.
Takes effect | Immediately
API | No
Exportable | Yes


Distinguished name

Distinguished/User Principal name

Preference | Distinguished/User Principal name
Description | The distinguished name (DN) for LDAP logon via Sun Java System Directory Server and Novell eDirectory; the user principal name (UPN) for LDAP logon via Microsoft Active Directory.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | An LDAP distinguished name or user principal name No default.
Takes effect | Immediately
API | No
Exportable | Yes

Example of a DN: dc=eng, dc=ibm, dc=com

Example of UPN:ibm.com


Port number

Preference | Port number
Description | The port number for the LDAP server.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | Connection port number for the LDAP server. The default is 389.
Takes effect | Immediately
API | No
Exportable | Yes


Server type

Preference | Server type
Description | The LDAP server type is used to form the distinguish name.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] LDAP Settings
Applies to | Web client IS libraries CS libraries
Possible values | Sun Java System Directory Server Microsoft Active Directory Novell eDirectory
Takes effect | Immediately
API | No
Exportable | Yes

CS 5.5 libraries, and IS libraries support LDAP authentication via all supported LDAP providers.


Service

Preference | Service
Description | The two-part name that identifies the library and server.
How to set | This preference appears after you add a library. It is displayed here for information only. It can be changed only by editing the library (from IDM Configure, select the library name and click Edit).
Applies to | IDM Desktop Web server Web client CS libraries (in the form library^property server IS libraries (in the form library.organization)
Possible values | None. This preference is configured when the library is added. See the description above.
Takes effect | Not applicable.
API | No
Exportable | Yes


System type

Preference | System type
Description | The library server type; in this case, Image Services.
How to set | This preference appears after you add a library. It is displayed in the IDM Preferences for information only.
Applies to | IDM Desktop Web server IS libraries CS libraries
Possible values | None
Takes effect | Not applicable.
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Use operating system credentials for logon

Preference | Use operating system credentials for logon
Description | Allows the user to bypass the library logon dialog by using the Windows logon name and password. See below for more information.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | IDM Desktop Web server Web client IS libraries CS libraries
Possible values | No (default) Yes
Takes effect | After rebooting.
API | Yes. Can be overridden by API call.
Exportable | No

For an IS library, autologon occurs when:

  • This preference is set to Yes for the library.

  • The IS library configuration has autologon enabled.

  • For IBM FileNet IDM Web Services, the web administrator has configured the web server for unified logon.

  • The user’s Windows user name and password match the IS library’s user name and password.

See also

Authentication


Alternate IS page cache

Preference | Alternate IS page cache
Description | The three-part name of a library server’s page cache. See below for more information.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | IDM Desktop Web server Web client IS libraries
Possible values | Three-part cache name. To use the default page cache, leave this preference empty.
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes

When you retrieve a document from an IS library, the software first looks in local cache for the document, then in the default page cache (usually located on the same server as the IS library), and finally on optical disk. You use this setting to define a server cache that is an alternate to the default page cache.

For example, when the default page cache is used for ad hoc document retrievals, batched document entry retrievals, and prefetches, lower priority prefetches might age out of cache before they are viewed. For this situation, you could create an alternate IS page cache that is dedicated to prefetching. You would need to create an application to manage prefetching on this cache.

By default, the alternate IS page cache is located on the same server as the IS library. However, you might want to locate the alternate server cache to a different server. For example, if your IS library is on a server in Dallas and your users are retrieving documents at workstations in Portland, you could define an alternate IS cache on a Portland server. You could then create an application to prefetch the necessary IS documents from the Dallas server to the cache on the Portland server overnight to be ready for users the next day.

For the alternate IS page cache setting to work when it is on a different server than the IS library, each user must have accounts on both servers—the one that contains the alternate cache and the one that contains the IS library. To illustrate how these accounts must be named, let’s continue with example above. Assume that the Dallas server that contains the IS library is called dallas. The Portland server that contains the alternate cache is called portland. Each user normally has an account on dallas that is called user:dallas:organization. To access the alternate cache for dallas on the Portland server, each user must have an account on portland that is called user:dallas:organization. The domain name in the account on portland must be dallas in order for the user to use this account to access the alternate server cache. The user name and password must be the same on both systems.


Default web mode

Preference | Default web mode
Description | Defines the page, Browse or Search, that web clients see after logging on.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | Web server Web client IS libraries CS libraries
Possible values | Browse (default) Search
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


User credential cache timeout

Preference | User credential cache timeout (minutes)
Description | Defines the number of minutes (approximately) that a session is maintained on an IS server without user activity. This applies only to logons with idmLogonOptServerNoUI. See the additional information below.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | IDM Desktop Web server IS libraries
Possible values | From 1 to 1440 minutes. The default is 10 minutes.
Takes effect | Reboot before a change takes effect.
API | No
Exportable | Yes

The UserCredentialCacheTimeout preference applies to IS libraries when accessed from IBM FileNet automation objects.

The preference specifies the approximate number of minutes to maintain an inactive user's logon. This applies only to logons established programmatically using the Logon method of the Library object and the idmLogonOptServerNoUI option. Before a timeout, a logon uses cached (pooled) credentials. When the timeout occurs, the logon expires and the cached credentials are released. The default timeout is 10 minutes.

This preference is configured per IS library using the IDM Configure program. It will not appear for libraries added before the fix pack was installed; you must remove and then re-add these libraries. The preference will appear in the preference list for any IS libraries added after the fix pack was installed. It applies to all users who log onto the workstation on which it is set, and cannot be configured only for the current user.

IBM FileNet API Logon Modes

The IBM FileNet Application Program Interface (API) supports three logon modes: Desktop mode, Web mode, and Server mode. Server mode is for sites that use IBM FileNet objects in a server environment such as the Microsoft Transaction Server.

Desktop mode

Desktop mode is the default mode. With this mode:

  • The developer is limited to one IS user per IS system.

  • The IBM FileNet objects share logons to a library across processes. An object will automatically attach to an existing logon, which means that it isn't always necessary to pass a user name and password.

  • The library is logged off either when the custom application releases it, or automatically when there are no remaining references to it; custom applications don't have to explicitly call the logoff method.

  • Here is an example of one way of logging on when using the Desktop mode:

Dim oLib as New IdmObjects.Library

oLib.SystemType = idmSysTypeIS

oLib.Name = "DomainName:ServerName"

If not lib.GetState(idmLibraryLoggedOn) then

oLibrary.Logon "","","", idmLogonOptWithUI 'Prompt for UI

End if

' Use library as needed

Web Mode

IBM FileNet IDM Web Services uses Web mode. With Web mode:

  • IBM FileNet allows more than one user per IS system.

  • IBM FileNet objects do not attach to existing logons.

  • To allow a user to remain logged on across multiple accesses to Web server pages, Web mode provides a logon ID that can be used to log a user back in to a library without supplying a user name or password.

Web mode places two additional requirements on the developer:

  • A SessionManager object must be instantiated for at least as long as the logons (to hold the logon state).

  • Logoff must be explicitly called (because the logons are held in case of another web page hit). Each logon uses an IS SLU.

Server Mode

Server mode is for those using IBM FileNet in server environments such as Microsoft Transaction Server (MTS). Like Web mode, Server mode allows more than one user per IS library, but unlike Web mode, the developer is not required to hold a SessionManager object in memory. Nor does it require explicit logoff.

Because of the programming model imposed by MTS, the components that use IBM FileNet objects exist only for the lifetime of a single transaction. As a result, there is no convenient location to store a long-lived SessionManager object. Hence the need for Server mode.

The custom application must create the SessionManager when using this mode.

Server mode adds a new idmLibraryLogon enumeration, idmLogonOptServerNoUI, to the API. Logging on with this flag will not attach to any other logons, and the library will be logged out automatically after the user credential timeout expires (see User Credential Timeout Preference below).

Here is an example using the new idmLibraryLogon enumeration:

Dim oLib as New IdmObjects.Library

oLib.SystemType = idmSysTypeIS

oLib.Name = "DomainName:ServerName"

oLibrary.Logon "UserName", "Password". "",idmLogonOptServerNoUI

'Use library as needed

Server mode logons minimize calls to IDMIS security services, since an RPC to security services does not occur when the same user attempts to logon to an IS library two or more times. Credentials are retained for the amount of time specified in the User Credential Timeout preference to avoid RPCs, even if a user is logged onto only one library.


Maximum number of IS folders to display

Preference | Maximum number of IS folders to display
Description | Defines the maximum number of IS folders or subfolders to display. See the additional information below.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <IS library name>
Applies to | IDM Desktop Web server IS libraries
Possible values | From 0 to 5000. The default value is 5000.
Takes effect | Immediately.
API | No
Exportable | Yes

If a library has a large number of folders and subfolders and your system is slowing or running out of resources, you may want to preserve system resources by limiting the maximum number of folders and subfolders that can be displayed. If you specify a maximum number, a warning message is displayed when this number has been reached.

This preference is set on a per-library basis. The "Set default preferences for new users" option must be selected in the main IDM Configure window for this preference to take effect.


System type

Preference | System type
Description | The library server type; in this case, Content Services. This preference is configured when the library is added. It is displayed in Preferences for information only.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop Web server Web client IS libraries CS libraries
Possible values | None.
Takes effect | Not applicable.
API | No
Exportable | Yes


Use operating system credentials for logon

Preference | Use operating system credentials for logon
Description | Allows a user to logon to a library using the Windows logon name and password. See below for an expanded description.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop Web server CS libraries
Possible values | No (default) Yes
Takes effect | Not applicable.
API | Yes. Can be overridden by API call.
Exportable | No

You can automate autologon to CS libraries so that it is not necessary for users to enter a user name and password to access a library. This preference is set on a per-library basis.

CS administrators must enable automatic logon on the library and, for IBM FileNet IDM Web Services, the web administrator must set up unified logon for this preference to take effect.

CAUTION

When logging on to CS libraries, the server does not check the password. Users will be logged on automatically if all of the following are true:

This preference is set to Yes.

The Windows user name matches a library user name.

Autologon is configured on the server.

To define users’ Network Logon Names in their User objects, a CS system administrator must use the CS Admin Tool. For information, refer to the CS Administrator’s help.

See also

Authentication


Default web mode

Preference | Default web mode
Description | Selects the page, Browse or Search, that web clients see after logging on.
How to set | IDM Configure [image] Additional Preferences [image] ibraries [image] <CS library name>
Applies to | Web server Web client CS libraries IS libraries
Possible values | Browse (default) Search
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show Select Group dialog during logon

Preference | Show Select Group dialog during logon
Description | Enables or Disables the display of the Select Group dialog box during logon, to allow a user to choose a group for the session.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop CS libraries
Possible values | No (default) Yes
Takes effect | Next logon
API | Yes. Cannot be overridden by API call.
Exportable | Yes


Alternate default logon group

Preference | Alternate default logon group
Description | Allows you to specify an alternate default logon group. This overrides the default logon group specified in the user’s profile unless the user chooses a group from the Select Group dialog.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop Web server CS libraries
Possible values | A text string with a maximum of 32 characters. No default.
Takes effect | Next logon
API | No
Exportable | Yes


Active requests per user

Preference | Active requests per user
Description | Sets the maximum number of simultaneous library requests allowed per user credential (user name and password). If exceeded, the user receives a "This user has too many open sessions…" error message.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web client CS libraries
Possible values | From 8 to 40. The default is 20 active user requests.
Takes effect | IDM Desktop: after rebooting the workstation. Web client: after rebooting the web server.
API | No
Exportable | Yes


Active requests per guest

Preference | Active requests per guest
Description | Sets the maximum number of simultaneous library requests allowed the guest user. If exceeded, the user receives a "This user has too many open sessions…" error message.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | From 8 to 200. The default is 40 active user requests.
Takes effect | After rebooting the web server.
API | No
Exportable | Yes


Guest user name

Preference | Guest user name
Description | The name of the guest user. The guest user is a special user account for use by visitors. Increasing the maximum will allow more visitors to use the guest user account simultaneously. IDM Configure does not validate that the guest user account is a valid CS user account.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | All valid library users. No default.
Takes effect | After rebooting the web server.
API | No
Exportable | Yes


Active request timeout

Preference | Active request timeout
Description | Sets the maximum number of seconds to wait for the session manager to establish a connection. Session manager response may be blocked by other concurrent requests within and across processes. The amount of time is approximate and varies based on the system load.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | From 10 to 300. The default is 60 seconds.
Takes effect | After rebooting the web server.
API | No
Exportable | Yes


Inactive session timeout

Preference | Inactive session timeout
Description | Sets the number of minutes an inactive session waits before logging off. This is transparent to the user because a subsequent request will re-establish a connection. The amount of time is approximate, and varies based on the system load.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | From 8 to 40. The default is 20 minutes.
Takes effect | After rebooting the web server.
API | No
Exportable | Yes

The Inactive session timeout can be shorter or longer than the ASP timeout.

The Inactive session timeout silently logs off an inactive user. If the user resumes activity before the ASP timeout, the user can continue without logging in again. If the user does not resume activity before the ASP time, the user must log in again.


Inactive user timeout

Preference | Inactive user timeout
Description | Sets the number of hours an inactive user remains logged on. If the user makes a request after the timeout, they will be required to log on. User logon timeout does not start until all the user’s sessions have timed out. The amount of time is approximate, and varies based on the system load.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | Web server Web client CS libraries
Possible values | From 1 to 24. The default is 6 hours.
Takes effect | After rebooting the web server.
API | No
Exportable | Yes


Enable direct document access

Preference | Enable direct document access
Description | Allows a user to view a document without first downloading it into local cache. For web clients, bypasses web server cache for viewing, copying, and checkout. See below for more information.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IDM Desktop CS libraries
Possible values | No (default) Yes
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes

When a user opens or views a file on a CS library, the software creates a copy of the file in the user's local cache and opens the copy. Enabling direct document access enhances performance by displaying a file directly from a CS library, bypassing the local cache.

For IDM Desktop, this preference works for opening and viewing documents, but not for checkouts or compound documents. For a web client, this setting bypasses cache for viewing, copying, and checkouts.

Notes

Enabling this preference removes library level security. This may violate security policies at some sites.

Setting up direct document access on a CS library

In addition to setting this preference, the CS system administrator must also:

  • Use the CS Admin tool to enable direct document access on the CS library.

  • Set up a shared path with read access to the library for the appropriate users.

For more details and instructions, see "Setting up Direct Document Access" in the CS library documentation.

Configuring the web server for direct document access

By default, IIS uses a local NT user it creates, called IUSR <webservername>. This user does not belong to any groups or domains, and does not have access to the share on a CS library. To get around this, do the following:

  1. Launch the IIS Management Console (Click Start, Run, then type mmc).

  2. Right-click Default Web Site and select Properties.

  3. Select the Directory Security tab.

  4. Click the Edit button under Anonymous Access and Authentication Control.

  5. On the Authentication Methods dialog, verify that Allow Anonymous Access is checked, then click Edit.

  6. In the Anonymous User Account dialog, enter the user name and password of the person for whom you are enabling Direct Document Access.

  7. Click OK, then reboot the web server.

Testing the preference

To see whether direct document access is working, open a CS document. Then view the cache file by navigating to IBM\IDM\Cache. If the document that you opened is not in the Cache folder, direct document access is working properly. Note that there may be other documents in the cache, such as compound documents or checked out documents. To view the file name of a cached document, click on the document ID folder.


Enable Path-based URL retrieval

Preference | Enable Path-based URL retrieval
Description | Makes it possible for users to retrieve CS documents via path-based URLs. For complete information, see the topic "Using a path-based URL to open a document" under Administration in the IBM FileNet IDM Web Services Administrator's Help.
How to set | IDM Configure [image] Additional Preferences [image] Libraries [image] <CS library name>
Applies to | IBM FileNet IDM Web Services CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | Yes
Exportable | Yes

CAUTION

A path-based URL cannot include special characters.


Enable "Find More"

Preference | Enable "Find More"
Description | For cases where there may be a large number of documents that satisfy the search criteria, this preference displays search results in increments. The user can click the Find More button to page through the results. Use "Find More" count to set the number of files returned during a search.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Searching [image] Results
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | No (default) Yes
Takes effect | After starting IDM Find.
API | Yes. Can be overridden by API call.
Exportable | Yes


Enable "Closed Document"

Preference | Enable "Closed Document"
Description | User has option to search the closed document as a default option for any of queries performed in the search criteria. The user can click the Closed Document button to page through the results.
How to set | IDM Configure [image] Additional Preferences [image] Searching [image] Results
Applies to | IDM Desktop Web server IS libraries
Possible values | No (default) Yes
Takes effect | After starting IDM Find.
API | Yes. Can be overridden by API call.
Exportable | Yes


"Find More" count

Preference | "Find More" count
Description | Specifies the number of documents retrieved when the Enable Find More button is set to yes (enabled). The user clicks the Find More button to retrieve more documents. See also Advanced and Simple Find maximum results.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Searching [image] Results
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | 25 to 10,000 The default is 100
Takes effect | After starting IDM Find.
API | Yes. Can be overridden by API call.
Exportable | Yes


Advanced and Simple Find maximum results

Preference | Advanced and Simple Find maximum results
Description | Sets the default for the maximum number of search results in Advanced and Simple Find.
How to set | IDM Configure [image] Additional Preferences [image] Directories and Files [image] Searching [image] Results
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | 1 to 10,000 The default is 100.
Takes effect | After starting IDM Find.
API | Yes. Can be overridden by API call.
Exportable | Yes


Document Options

Preference | Document options
Description | Specifies the default selection for Document Options in the Publishing Wizard. This preference applies only if the document has been published at least once.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Add a new version to published document (default) Replace a published document
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Allow changes to "Document Options"

Preference | Allow changes to "Document options"
Description | Allows the user to change Document options in the Publishing Wizard. This preference applies only if the document has been published at least once.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Security for new published documents

Preference | Security for new published documents
Description | Sets the default security for published documents. The Use folder setting applies the access rights of the folder. If the published document is not filed in a folder, then the library default applies. The Use source document setting applies the access rights of the source document. The Use library default setting applies the default security configured on CS for adding new documents.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Use folder Use source document (default) Use library default
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Delete published document if source is deleted

Preference | Show the option "Automatically deleted when source is deleted" in the Publish wizard, which enables the user to select if the Published Document is required to be deleted automatically, whenever the source document is deleted.
Description | Delete the published document if the source document is deleted. If not checked, the published document is not removed when the source document is deleted. To display a prompt allowing the user to choose each time a source document is being deleted, enbale the Show "Delete published document if source is deleted" preference.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Show "Delete published document if source is deleted"

Preference | Show the option "Automatically deleted when source is deleted" in the Publish wizard, which enables the user to select if the Published Document is required to be deleted automatically, whenever the source document is de.leted.
Description | Displays a prompt allowing the user to choose whether to delete the published document when the source document being deleted.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Inherit source document properties

Preference | Properties for new published documents
Description | When enabled, a published document inherits its properties from the source document (only the properties included in the document class of the source document).
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] General
Applies to | IDM Desktop Web server CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Publish to folder

Preference | Publish to folder
Description | Specifies the default folder where new published documents are to be filed.
How to set | IDM Configure [image] Additional Preferences [image] Publishing [image] <ds library name>
Applies to | IDM Desktop CS libraries
Possible values | A valid folder. There is no default.
Takes effect | Immediately
API | Yes. Can be overridden by API call.
Exportable | Yes


Edit the file extension associations

Preference | Edit the file extension associations
Description | Lets you associate file extensions with applications. This affects only the behavior of the IDM View option on the shortcut menu of an IBM FileNet library document or image. See below for more information.
How to set | IDM Configure [image] Additional Preferences [image] Viewing [image] Alternate viewers
Applies to | IDM Desktop Web server CS libraries IS libraries
Possible values | Any valid filename extension. There is no default for this preference.
Takes effect | Immediately
API | No
Exportable | Yes

By default, when you open an IBM FileNet library document or image using the IDM View option on the shortcut menu (right-click on a library document or image), IDM View opens, then displays the document or image. (If you select Open from the shortcut menu, the file opens in its registered application.)

This preference gives you the ability to specify an application, other than IDM View, in which to open a file (from the IDM View shortcut menu) by associating a file extension with an application. For example, you can configure this preference to open a .bmp file in PaintShop Pro instead of IDM View. You can also specify that a file type be opened in its registered application instead of IDM View.

For a diagram of how IDM Desktop opens and displays files, see Viewer rendering logic .

For this preference to work correctly, the specified application must be installed on the computer on which the preference is set (if you are importing preferences from another computer, the current computer may not have a specified application installed).

Related topics
Add a new file extension association
Select a file extension
Edit a file extension association
Remove a file extension association


Window style

Preference | Window style
Description | Allows you to select one of the following window styles: Multiple viewer windows - Each document appears in a separate Viewer window. All windows are controlled by a single instance of the Viewer. This is a Multiple Top-level Interface (MTI). Single viewer window - Each document appears in a child window contained by the main Viewer window. This is a Multiple Document Interface (MDI).
How to set | IDM Configure [image] Additional Preferences [image] Viewing [image] Viewer
Applies to | IDM Desktop Web server IS libraries CS libraries
Possible values | Multiple Viewer windows (MTI) Single Viewer window (MDI) (default)
Takes effect | Immediately
API | No
Exportable | Yes

Web clients use MDI only.


Documentation server URL

Preference | Documentation server URL
Description | The URL of the Process Help site
How to set | IDM Configure [image] Additional Preferences [image] Documentation [image] Documentation Server
Applies to | Web server with Process 5.1 or later IS libraries CS libraries
Possible values | URL
Takes effect | Immediately
API | No
Exportable | Yes

You can set this preference when installing the Process and Java Applets Connectivity.


Enable automatic update

Preference | Enable automatic update
Description | When enabled, automatically updates the print/fax job display. See also Time for update (in seconds) and Maximum number of jobs displayed .
How to set | IDM Configure [image] Additional Preferences [image] IS Print/Fax Monitor
Applies to | IDM Desktop Web server IS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


Time for update (in seconds)

Preference | Time for update (in seconds)
Description | Sets the time interval, in seconds, between automatic updates. Automatic update must first be enabled.
How to set | IDM Configure [image] Additional Preferences [image] IS Print/Fax Monitor
Applies to | IDM Desktop Web server CS libraries
Possible values | 10 - to - 32,767 seconds The default is 60 (seconds)
Takes effect | Immediately
API | No
Exportable | Yes


Maximum number of jobs displayed

Preference | Maximum number of jobs displayed
Description | Sets the maximum number of print/fax jobs displayed.
How to set | IDM Configure [image] Additional Preferences [image] IS Print/Fax Monitor
Applies to | IDM Desktop Web server CS libraries
Possible values | From 1 to 32,767 jobs The default is 100 (jobs)
Takes effect | Immediately
API | No
Exportable | Yes


About preference files

For sites with multiple web servers running IBM FileNet IDM Web Services, you can speed configuration by setting preference on one web server, exporting the preferences to a file, and then importing the preferences on other web servers. You can import only preference files exported using IDM Web Services 4.0.3.

See also
Set preferences
Export preferences
Import preferences
Preferences with local paths defined


Export preferences

When you export preferences, your selections are written to a file with the extension .fnp. You have several options when you export preferences. You can export individual categories, for example, only Searching and Libraries, or all categories.

To export preferences

  1. If you haven't already done so, configure libraries and set preferences common to your web servers. (see Set preferences for instructions).

  2. Start IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then Configure.

  3. Click Export.

  4. Select the individual subsystems to export, or click Select all.

  5. Select a Libraries Export option:

Add and update libraries when importing

When the preference file is imported, it adds the libraries to the existing configuration. If libraries different from those being imported are configured, users will have access to the existing libraries in addition to the newly imported ones.

Delete existing libraries when importing

Deletes the existing library access configuration, then adds the libraries from the imported preference file. The user can access only those configured in the imported preference file.

  6. Click Save As. In the Save As dialog, select the path to the location in which to save the configuration file, enter a new filename if you wish to change the default (IDMPrefs), and click Save. Leave the filename extension as .fnp.

See also
Import preferences
About preference files
Preferences with local paths defined


Import preferences

There are three ways to import preferences:

  • Using IDM Configure’s Import button

  • Double-clicking on an .fnp file

  • Running a DOS command

You can import only preferences files that were exported using IBM FileNet IDM Web Services 4.0.3.

Importing a preferences file on a web server creates the folders used to store searches used for each library.

Notes

For CS library access, you must install the library database support, Oracle or Microsoft SQL, for all libraries to be imported. If you import a preferences file that includes libraries with an Oracle database but no Oracle DLLs are installed on the web server, the preferences will import, but no warning will display. See Add and remove components for instructions.

You may want to back up your current preferences to an".fnp" file before importing new preferences. You would do this by exporting your current preferences.

To import preferences using IDM Configure

  1. Start IDM Configure. From the Windows Start menu, select Programs, IBM FileNet IDM, then IDM Configure.

  2. Click Import.

  3. Click OK to confirm that you want to import IDM preferences.

  4. Navigate to the folder where the preference file is located.

  5. Select the preference file that you want to import and double-click.

  6. Click Close at the IDM Configure successful import message.

To import preferences from the .fnp file location

  1. Navigate to the .fnp file location and double-click the filename.

  2. A message will display warning you that importing will overwrite existing IDM preferences. Click OK to proceed.

To import preferences from the command line

  1. Open a DOS window.

  2. At the command prompt type

Idmcfg [-m]<path\filename>

The -m flag suppresses the import warning message, which states that importing will overwrite existing IDM preferences.

See also
Export preference
About preference files
Create stored searches and search templates


Preferences with local paths defined

IBM FileNet IDM Web Services includes three preferences with values that define a local path. These preferences are:

  • Directories and Files [image] Checkouts and Copies [image] Document checkout directory <path> and

  • Directories and Files [image] Checkouts and Copies [image] Document copy directory <path>

The Document checkout directory is the default local directory for documents that users check out from a CS library. The Document copy directory is the default local directory for documents that users copy from a CS library.

The default value for these two preferences is the environment variable %IDMUser%. (See "Tips on defining environment variables" below for more information.)

If %IDMUser% is not defined, the default checkout directory and default copy directory path is C:\My Documents.

For example, if the Document copy directory preference value is %IDMUser% (the default), and the current user is jsmith, then by default, documents would be copied to C:\My Documents. To use these default paths, you do not need to take any action.

  • Directories and Files [image] Local Caching [image] Cache directory <path>

The Cache directory is the local directory in which documents are cached. The default value for the Cache directory preference is %IDMInstall%\Cache.

With this default value expanded, the local cache directory is C:\Program Files\IBM\Idm\Cache (for all Windows versions).

  • Directories and Files [image] Logging [image] Log directory <path>

Exporting/Importing preferences with local paths

Preferences with local paths can be exported and imported. You can use the IBM FileNet-supplied environment variables described above, custom environment variables, or define an absolute path. If you define an absolute path, make sure that these paths are valid for the systems on which they are being imported. If you use a custom environment variable, make sure that it’s defined.

Tips on defining environment variables

Environment variables can be defined programmatically with the Windows API, or manually.

  • Programmatically

Use the Windows API’s SetEnvironmentVariable or GetEnvironmentVariable command.

  • Manually

Right-click the My Computer icon, select Properties, select the Advanced tab, then click the Environment Variables button. Click New, define the variable name and value, and click OK until you exit the System Properties dialog.


Create stored searches and search templates

Web client users cannot create their own searches. They can access only those searches made available by the Web administrator. Using IDM Find, the Web administrator can save stored searches and search templates on the Web server. When placed in a particular location, these searches become available to Web clients. Depending on the search’s location in a folder structure, the search is made available for all IS libraries, a particular IS library, all CS libraries, or a particular CS library.

For instructions on creating stored searches and search templates, see the Find application's Help.

To add a stored search or search template

To add a search that users can access from the drop-down menu in IBM FileNet Web's Search Mode and Search Popup, save your search on the Web server in one of the following directories:

  • IBM\IDM\CS: To make the search available to Web clients accessing any CS library

  • IBM\IDM\IS: To make the search available to Web clients accessing any IS library

  • IBM\IDM\CS\<library> or IBM\IDM\IS\<library>: To make the search available to Web clients when they are logged on to a specific library.

These directories are created when you add libraries using IDM Configure and by importing a preferences file.

To add a search that users can access from a CS library folder using the Web server’s Browse Mode, save the search to the appropriate folder on the library.

The Web server contains a default search template called simplesearch.fst that users can access from Search Mode when searching all IS or CS libraries or a specific library. The template can be found in the same directories that you would use to add a stored search. The Web administrator can edit the search criteria of the simplesearch.fst templates.

Tip

If stored searches and search templates do not execute correctly for Web clients, open the stored search using IDM Find and save it again.


Disable Simple Search

Simple Search is a predefined search that allows a user to search for documents on:
  • IS libraries using document ID, document class, and entry date conditions
  • CS libraries using title, document type, item ID, (added by) user, and content (words and phrases) conditions.
If you do not want Web clients to use the predefined Simple Search, you can disable it.

To disable Simple Search

On the Web server, locate and delete or move the file simplesearch.fst.


Configure System Manager Listener

For configuring System Manager Listener, code changes needs to be incorporated in the existing Global.asa file. As a practice, the Global.asa file is not shipped with any of the IDM Web Services fix packs, as fix pack updates may overwrite any of the custom changes made in this file by the user. Following are the steps for making the code changes to the Global.asa file.

  1. Navigate to …FileNet\IDM\Web\idmws\global.asa, then open the global.asa file in a text editor.

  2. Find: Application("IDMWS_SupportLDAPLogon") = true

  3. Copy the following code and paste it under the above-mentioned code line:

      ' System Manager Listener
      Dim objReg, strIDMVer, strHFPLevel, iSMLEnabled,strSPLevel
      Set objReg = Server.CreateObject("PWUtil.Registry")

 iSMLEnabled =

 objReg.Get("HKEY_LOCAL_MACHINE\SOFTWARE\FileNet\IDM\Web-Specific\EnableSystemManagerListener")

if (iSMLEnabled = 1) then

strIDMVer = objReg.Get("HKEY_LOCAL_MACHINE\SOFTWARE\FileNet\IDM Web\ReleaseVersion")

             if not(IsNull(strIDMVer)) then
                    strIDMVer = CStr(strIDMVer)
                           if(len(strIDMVer) = 3)then
                                  strHFPLevel = ""
                                  strSPLevel = ""
                                  strIDMVer = Mid(strIDMVer, 1, 1) & "." & Mid(strIDMVer, 2, 1)

strHFPLevel =

objReg.Get("HKEY_LOCAL_MACHINE\SOFTWARE\FileNet\IDM\Install\HotFixPack")

strSPLevel =

objReg.Get("HKEY_LOCAL_MACHINE\SOFTWARE\FileNet\IDM\Install\ServicePack")

if not (isnull(strSPLevel) or strSPLevel = 0) then

                                       strSPLevel = cstr(strSPLevel)
                               else
                                       strSPLevel = cstr(0)
                               end if

if Not (IsNull(strHFPLevel)) then

strHFPLevel = CStr(strHFPLevel)

                                       if (strHFPLevel = "0")then
                                               strHFPLevel = ""
                                else
                                       strHFPLevel = " Hotfix Pack Level " & strHFPLevel
                                end if
                                else
                                       strHFPLevel = ""
                                end if
                                strIDMVer = strIDMVer & "." & strSPLevel & strHFPLevel
on error resume next
                                Set Application("objListener") = Server.CreateObject("FnSML.FnSM")
                                Application("objListener").StartListener "IDM Web Services", strIDMVer
                         end if
                   end if
             end if

System Manager Listener configuration requires a new DWORD value "EnableSystemManagerListener" under the HKEY_LOCAL_MACHINE/SOFTWARE/FileNet/IDM/Web-Specific registry key. This "EnableSystemManagerListener" value is used for enabling/disabling the System Manager Listener on the server. To enable the System Manager Listener, you need to set the "EnableSystemManagerListener" value to 1.

To create a new registry key for enabling System Manager Listener

  1. Under HKEY_LOCAL_MACHINE/SOFTWARE/FileNet/IDM/Web-Specific registry key.

  2. Right-click the Web-Specific registry key and click the New->DWORD value.

  3. Type EnableSystemManagerListener and press ENTER.

  4. Double-click the EnableSystemManagerListener icon. Set the value to 1.

  5. Reset IIS to apply the Listener settings.

  6. Access the IDMWS application to view the data captured by IBM FileNet System Manager Listener.

Note: To view the data captured by IBM FileNet System Manager Listener, you need to install and configure the IBM FileNet System Manager Dashboard monitoring tool. For information regarding installing and configuring the IBM FileNet System Manager Dashboard tool, refer to IBM FileNet System Manager Dashboard help or log on to IBM Website for customer support.

Changing the default System Manager Listener settings

The Listener can be configured using the PchConfig.properties configuration file. This file is available in the IDM installation directory. The Listener provides default values for all its configuration parameters. If you wish to override these defaults, then you can edit the configuration file that will be read when the Listener object is instantiated. The default port used by a Listener is 32775. For cases where only few ports are enabled for communication, a different port for the Listener can be assigned using the configuration file. In addition, if more than one Listener-enabled applications are running on the same computer, only the first one of them, called the primary Listener, will be able to bind successfully to that particular port. Any secondary Listeners will fail to get that port, in which case, they shall bind to a different port, then contact the primary Listener and inform it of the port they have chosen. You can configure this secondary Listener using the secondary_port parameter in the configuration file.

There are four possible properties that can be configured using this file, listed in the following table:

Property Name | Default | Description
port_number | 32775 | The primary TCP port number on which the Listener will listen for connections from Managers. It would require changing if another service is already using this port.
secondary_port | OS Defined | The first Listener on a host will acquire the Listener port (defined by port_number); others will by default bind to OS-defined ports. If this configuration parameter is specified, then secondary Listeners will instead try this port number, then that plus 1, plus 2, and so on, until they successfully bind to a port.
output_interval | 900 | Specifies the aggregation interval in seconds.
output_count | 96 | Specifies the maximum number of summary blocks that will be written to the summary log before it is closed and a new one opened. The default configuration provides for 24 hours’ worth of data to be written to a single file, and so between 24 and 48 hours’ history will be available at any given time.

To set the System Manager Integration Listener properties

  1. From a text editor, open the PchConfig.properties file, located in the ..\IBM\IDM installation directory.

  2. Replace the parameter(s) as shown in boldface in the example below, with the new value:

port_number=32775

secondary_port=

output_interval=900

output_count=96


Client requires MSVJM or alternate configuration

Client SSL and MSJVM requirements

SSL certificate

To install SSL client certificate on a Web client workstation:

  1. Request the certificate from Certificate Authorities (CA) (http://<CertificateServer>/certsrv).

  2. Select the Web Browser Certificate as the certificate type.

  3. Enter the required information and click Submit.

  4. Issue the requested certificate from CA.

  5. Click View the status of pending certificate request from CA.

  6. Click on the requested certificate and install the certificate.

To verify that the certificate is installed properly:

  1. Open Internet Explorer browser and navigate to Tools->Internet Options->Content-> Certificates.

  2. Check for the certificate in Personal tab and for CA certificate in Trusted Root Certificate Authorities tab.

  3. If CA certificate in not available then perform the following steps to add CA certificate.

  1. Go to (http://certificateserver/certsrv).

  2. Click on Download a CA Certificate, certificate chain or CRL link. Use the import wizard of Trusted Root Certificate Authorities Store tab to import the downloaded certificate.

Microsoft Java Virtual Machine or alternate configuration

If you obtain Microsoft Windows XP after February 2002 or obtain another version of Windows after September 2004, Windows will not include the Microsoft Java Virtual Machine (MSJVM).

By default, the MSJVM is used for remote scripting by the IBM FileNet IDM Web Services Client and IBM FileNet IDM Web Services Application Integration.

If a web client machine has a version of Microsoft Windows that does not include the MSJVM, you have two options:

  • Download the MSJVM from the IBM web site, or from another source, to the workstation.

  • Set up an alternate configuration for IDM Web Services that removes the dependency on the MSJVM for all clients.

If JRE is installed on the IBM FileNet IDM Web Services thin client and IBM FileNet IDM Web Services is configured for "Use Java Applet Remote Scripting Proxy" then thin client user is not able to log-on to IBM FileNet IDM Web Services.

Determine whether a workstation has the MSJVM

  • Type jview at the command prompt.

    If MSJVM is present, this command displays the usage text.

    If MSJVM is not present, the command results in an error, "    not recognized as an internal or external command operable program or batch file".

Download and install the Microsoft JVM, if needed for Windows

  1. Connect to the FTP.

  2. Download Msjavx86.exe to the PC where you plan to install the MSJVM.

  3. Double-click on the downloaded Msjavx86.exe file to install the MSJVM.

  4. Click Start, point to All Programs, and then click Windows Update (required). Install any fixes for the Microsoft VM that Windows Update detects.

Set up an alternate configuration for all web clients

The alternate configuration relies on ActiveX remote scripting and removes the dependency on the MSJVM.

  1. Navigate to …IBM\IDM\Web\idmws\global.asa, then open the global.asa file in a text editor.

  2. Find: Application("IDMWS_RemoteScriptingClientFile") = "FNRS.HTM"

  3. Change the text above to: Application("IDMWS_RemoteScriptingClientFile") = "FNRS2.HTM"


About the Web Services Client

About Web clients

You can install one or both of the supplied web clients.

IBM FileNet IDM Web Services Client

The IBM FileNet IDM Web Services Client, also called the ActiveX Client, provides the following features:

  • Log on to libraries using IBM FileNet logon, unified logon, or LDAP logon.

  • Add and retrieve IS documents

  • Add, update, and retrieve CS documents

  • Search for documents and searches

  • View and modify folder, document, and annotation properties

The Web Services Client supports Internet Explorer only. The default virtual directory for this client is idmws. For example, on the server CorpWeb, the URL would be http://CorpWeb/idmws.

See also
Authentication options


Web client setup overview

This topic discusses installation options and the components of the three web client packages.

Installation options

The software can be installed interactively or unattended. The IBM FileNet IDM Web Services Client software can be installed on a web client computer using these methods:

  • Install from the IBM FileNet IDM Web Services CD or installer from ftp

  • Download from the web server and install on the client computer

  • Silent install and upgrade

  • Install and upgrade using Microsoft SMS

Administrator rights are required in all cases.

Web client packages

IBM FileNet IDM Web Services includes three web client package options that work with Internet Explorer:
  • ActiveX components only (fncontrols.exe)
This package includes the ActiveX components only; it does not include the IDM Viewer application. Web client users must open all retrieved documents in their associated applications (for example, open .doc files in Word). This is the smallest download.
  • ActiveX components and IDM Viewer with IBM FileNet imaging support only (viewer2.exe)
This package includes the ActiveX components and the IDM Viewer with support for the IBM FileNet imaging formats only. Web client users must open all other formats their native applications.
  • ActiveX components and IDM Viewer with full document support (viewer.exe)
This package includes the ActiveX controls and the IDM Viewer with support for 200 common document formats, including IS native document formats. A retrieved document can be opened in the IDM Viewer or in an associated application installed on the client PC. This is the largest download.


Install the Web client

The three web client packages are located in the root directory on the IBM FileNet IDM Web Services CD ROM or installer from ftp. The folder names and file names are:

  • FnControls\fncontrols.exe - Web client ActiveX components only.

  • viewer2\viewer2.exe - FnControls plus "thin" IDM Viewer with support for IBM FileNet imaging formats only.

  • viewer\viewer.exe - FnControls plus IDM Viewer with full document support.

For a complete description of each option, see the Web client setup overview .

You can install a web client from a local folder, a network folder, or from the CD ROM or ftp. To install from a local or network folder, copy one or more of these web clients from the folder(s) listed above into your desired installation path.

To install web client software

  1. Log on as a user who has Administrator rights.

  2. Navigate to the location of the web client package that you want to install.

  3. Launch the program executable (fncontrols.exe, viewer.exe or viewer2.exe)

  4. Follow the prompts.

  5. Because a web client user must have full control of the IBM FileNet IDM Web Services Client installation folder (by default, C:\Program Files\IBM\IDM) and its subfolders), Setup grants full control of the \IDM folder to Everyone. You may wish to modify the \IDM folder’s security properties to grant full control to specific users and groups instead of Everyone.

IDM Desktop’s web client capability

With IDM Desktop 4.0.3, users can access libraries though IBM FileNet IDM Web Services 4.0.3. Do not download and install a web client on a workstation that is running IDM Desktop; this is neither necessary nor supported. Likewise, do not install a web client interim fix pack on a workstation that is running IDM Desktop.

See also
Install Web Services application integration


Download the web client from the web server

To download and install a web client for IBM FileNet IDM Web Services (ActiveX Client)

Make sure the web client workstation user has access to the web server.

  1. Open the browser and connect to an IBM FileNet IDM Web Services site:

http://<webservername>/idmws

idmws is the default virtual directory for the IBM FileNet IDM Web Services ActiveX Client application. A different virtual directory can be specified when installing IDM Web Services.

  2. If you have not yet installed the web client software or IDM Desktop, the Download page appears automatically. If it does not appear, click Utilities, and then click Download.

  3. Select one of the three web client packages to download and click Continue with download.

  4. Follow the download instructions.

Set security on the installation folder

4 Because a web client user must have full control of the IDM Web Services Client installation folder (by default, C:\Program Files\IBM\IDM) and its subfolders, Setup grants full control of the \IDM folder to Everyone. You may wish to modify the \IDM folder’s security properties to grant full control to specific users and groups instead of Everyone.


Upgrade Web clients

IBM FileNet IDM Web Services 4.0.3 supports Web client upgrades from 3.3, 4.0, 4.0.1, 4.0.2 and any fix pack levels.

You initiate an upgrade in interactive mode the same way that you would install the web client if you had no previous version installed. The setup program detects the state of the computer and prompts accordingly. For installation instructions, see Install the web client from the CD ROM or installer from ftp and Download a web client from the web server.

Note

If you attempt to perform an unsupported upgrade in user interface mode, you will be warned about the currently installed web client and asked to uninstall before installing the new web client. In silent mode, the installation will quit and log an error to idmweb.log or idmwebcontrols.log by default.

See also


Quiet installation of the web client

Silent install and upgrade

A silent installation or upgrade runs without user intervention. However:

  • You must reboot a workstation immediately before and immediately after installing or upgrading a web client.

  • Exit from all applications including virus protection software before installing or upgrading.

  • To install or upgrade a web client, a user must log on with Administrator privileges.

Silent installation is supported for new installations and for upgrades from 3.3, 4.0, 4.0.1, 4.0.2 or any fix pack levels. Upgrades are supported for like files, such as viewer.exe to viewer.exe. If you attempt to perform an unsupported upgrade (for example, from fncontrols.exe to viewer.exe), the installation will fail and log an error to idmweb.log or idmwebcontrols.log by default.

A silent installation requires a session file.

Create a session file

To record a session, install a web client package using the command below.

<webclient> -a –r –fl<sessionfile>

For example, to install viewer.exe and create a session file named setup.iss, use this command:

viewer.exe –a –r –f1c:\temp\setup.iss

Switches used in silent installation and upgrade commands

The switches below are used in commands that perform silent installs and upgrades of the web client packages:

  1. s Silent install

  2. a Arguments, if any, to the .exe file installed

  3. i Configuration file specification

  4. fl Path to response file

  5. r Record session

  6. Separate switches with a space but do not insert a space between a switch and its argument. For example, do not add a space between "fl" and "setup.iss".

Note

In the examples below, the first –s specifies a silent install of the installation package (for example, fncontrols.exe). The second –s specifies a silent install for setup.iss.

Silent install

Use the following command line to perform a silent web client installation:

<path\filename.exe> -s -a -s -f1<sessionfile>

…where filename.exe is viewer.exe, viewer2.exe, or fncontrols, depending on which Web client package you want to install, and setup.iss is a session file.

Example:

c:\fncontrols.exe -s -a -s -f1c:\temp\setup.iss

Silent upgrade

Use this command line to perform a silent upgrade:

<path\filename.exe> -s -a -s -f1<sessionfile>

…where filename.exe is viewer.exe, viewer2.exe, or fncontrols, depending on which Web client package you want to install, and setup.iss is a session file.

Example:

c:\viewer.exe -s -a -s -f1c:\temp\setup.iss


Change IDM folder security

Modify the installation folder’s security

Because a web client user must have full control of the IBM FileNet IDM Web Services Client installation folder (by default, C:\Program Files\IBM\IDM), Setup grants full control of the \IDM folder to Everyone.

You may wish to modify the \IDM folder’s security to revoke full control for Everyone and to grant full control to the specific users and groups who will use the software. You can do this by modifying the \IDM folder’s security properties.

If you are using SMS to install the software, you can modify the \IDM folder’s security using the CACLS command.

Example: Remove the group Everyone from the \IDM folder’s security

c:\winnt\system32\cacls.exe "C:\program files\ibm\idm" /e /c /r Everyone

Example: Grant full control to a specific user group

c:\winnt\system32\cacls.exe "C:\program files\ibm\idm" /e /c /g <user1>:F /g <user2>:F /g <group>:F

See the Help for the CACLS command for additional information.


Uninstall the web client

If you have customized Web pages, make a backup copy before uninstalling IDM Web Services. Those web pages will be deleted when you uninstall.

To uninstall the web client

  1. Close all active programs, including virus protection software on the web client PC.

  2. From the Windows Control Panel, select Add/Remove Programs.

  3. Select the web client program from the list of programs.

  4. Click Remove.


About quiet installation with SMS

A bout SMS installations and upgrades

Microsoft’s System Management Server (SMS) 2.0 SP4 can be used for unattended, silent-mode installations of IDM Desktop. Use the information in this topic in conjunction with the SMS documentation to set up SMS.

You can use SMS for an initial installation a 4.0.3 web client, to upgrade a web client from 3.3, 4.0, 4.0.1, 4.0.2 or with fix packs.

A silent installation using SMS involves the following steps:

  1. Set up the client computers.

  2. Create a recording session to specify the installation directory and the components to install.

  3. Set up the SMS server.


Set up client computers

Set up SMS clients

Make the following changes to client computers before using SMS to install or upgrade a web client:

  • Install the SMS client software.

  • Add the computer to the SMS server's domain.

  • Verify that the workstation has the correct time.

  • Reboot the workstation immediately before the installation.


Set up SMS

Set up SMS server

Use this procedures as a guide to setting up SMS. The procedure describes the settings used to certify unattended installs and upgrades of web clients using SMS. Many other SMS features are available. The reader should be familiar with SMS packages, collections, and advertisements, and should refer to SMS documentation for exact information.

Set up the SMS server

  1. Verify that the server’s time is correct.

  2. Copy the contents of the IBM FileNet IDM Web Services software package into a source folder on the SMS server or on a network drive accessible to SMS.

  3. To install a web client using SMS server, a recorded session file must be first created. See Silent Install to know how to create the recorded session.

  4. Open the SMS Administrator Console.

  5. Open Site Database>FileNet>Site Settings, and display the Site Setting Properties.

  1. On the General tab, select Enable software distribution to clients and set the interval for Check for new programs.

  2. On the Notification tab, enable a notification message.

  6. Create a package as follows:

  1. Right-click on Packages, and click New.

  2. On the General tab, assign a name such as "IBM FileNet IDM Web Services client".

  3. On the Data Source tab-
    - Select This package contains source files.
    - Set the source directory to the source folder you created in step 2.
    - Select Always obtain files from the source directory.

  4. On the Distribution Settings tab, set Sending Priority to High.

  7. Add an installation or upgrade program as follows:

    1. Open the package created in step 4, right-click on Programs, and then click New.

    2. On the General tab-
      - Add a program name such as "Install" or "Upgrade".
      - Set the command line (For example, IDMViewer.exe /s /f1<PATH>/Setup.iss)
      - For Run, select Normal.
      - For After Running, select SMS restarts computer. Alternatively, you can instruct the user to reboot.

    3. On the Requirements tab-
      - Select This program can run only on specified platforms
      - Select one or more of the platforms supported for this release of IBM FileNet IDM Web Services.

    4. On the Environment tab-
      -Set Program can run to: Only when a user is logged on
      -Set Run mode to: Run with administrative rights
      - Set Drive mode to: Runs with UNC name

  8. Create one or more collections.

  9. Create an advertisement.

  10. Optionally, you may wish to set the installation folder's security.

  1. Select Assign immediately after this event and As soon as possible.

  2. Set Priority to High.


Quiet installation of web application integration

Silent Installation of Web Application Integration

Run IMAppInt.exe with -r option, so that all the options required for silent installation are recorded. This creates a file named "Setup.iss" in the <WINDOWS> folder. This is the recorded input file for silent installation. You can use the recorded file for running the installation in silent mode.

Keep the Setup.iss in some location and then run IMAppInt.exe with the following option so that installation is done silently:

Command Line: IMAppInt.exe /s /f1"<PATH>/Setup.iss

Silent Upgradation of Web Application Integration

Run IMAppInt.exe with -r option, so that all the options required for silent installation are recorded. This creates a file named "Setup.iss" in the <WINDOWS> folder. This is the recorded input file for silent installation. You can use the recorded file for running the installation in silent mode.

Keep the Setup.iss in some location and then run IMAppInt.exe with the following option so that installation is done silently:

Command Line: IMAppInt.exe /s /f1"<PATH>/Setup.iss


Using IDM Desktop applications

IBM FileNet IDM Web Services includes several IDM Desktop applications. These applications are intended for use as administrative utilities on the Web server: Configure, Find, IBM FileNet Neighborhood (Explorer integration), and Viewer.

Configure application

IDM Configure is used to add and remove libraries and to set preferences for Web clients. The libraries that you configure will be visible to all Web clients who connect to this Web server. Likewise, the preferences that you configure will apply to all Web clients. See the Web server configuration overview for more information.

Find integration

You use IDM Find to create stored searches and search templates that Web clients can access through the IBM FileNet IDM Web Services software. For information on creating searches on an IBM FileNet Web server, see Create stored searches and search templates .

IBM FileNet Neighborhood (Explorer integration)

Explorer integration:

  • Puts the IBM FileNet Neighborhood icon on the Web server’s desktop.

  • Puts an Add to FileNet command on the shortcut menu for local files.

  • Makes the IBM FileNet Neighborhood and Entire IBM FileNet Network available in any My Computer or Explorer view (IBM FileNet Neighborhood is just a special case).

Explorer integration might be necessary for the Web administrator to perform tasks that Web clients can't do, such as publishing a document.

Viewer

You can use the IDM Viewer on the Web server to open documents and images. For information on the IDM Viewer, select the Viewer option from the IBM FileNet menu under Start, Programs, click on Help, Contents and Index, and open the Viewer book.


Report Manager integration

IBM FileNet IDM Web Services 4.0 is integrated with IBM FileNet Report Manager 4.1/5.0. This means Web clients can retrieve and display Report Manager documents that have been cross-cataloged to an IS library. The Report Manager administrator decides which documents to cross-catalog and how to associate Report Manager data with document properties in the library.

Cross-cataloging inserts Report Manager document data into the library’s property database. Cross-cataloging then runs continuously to synchronize the Report Manager and library databases. The documents themselves are stored on the Report Manager server or on optical disks.

The table below summarizes the IDM Web Services client capabilities and requirements for working with the four types of Report Manager documents.

Viewing Report Manager PDF reports and statements with page security

Web clients can view Report Manager PDF reports and the PDF statements with page security in the IDM Viewer using the plug-in capabilities of Adobe Acrobat. The Web client user must install a full Adobe Acrobat environment; the free Adobe Acrobat Reader is not sufficient. Specifically, the user must install one of the following:

  • IBM FileNet Report Manager Statement Administrator

  • Adobe Acrobat Business Tools

  • Adobe Acrobat

Viewing Report Manager PDF statements with statement security

Web clients can view Report Manager PDF statements with statement security. To do this, the IDM Web Services administrator must set the preference View Report Manager statements as PDF using IDM Configure. Web client users must install Adobe Acrobat Reader.

Searching Report Manager text-type documents

Web clients can search for text in indexed, text-type Report Manager reports using the IDM Viewer’s Edit/Find command.

Magnifying text

The Magnifier enlarges selected text in a Report Manager document 200 percent. The accuracy of the results depends on the fonts and font sizes installed on the user’s computer. If Windows cannot find the exact match, the magnified area may not exactly match the user’s selection. If the document has a bitmap (overlay), the bitmap will scale precisely to 200 percent but the font may not.

Having a large selection of fonts will alleviate magnification problems.


Alter default columns in browse mode

Configure the Browse page

You can select the document properties that Web clients will see on the Browse page and decide whether to display a marker to indicate that a document has annotations.

To select property columns for the Browse page

  1. On the Web server, open IBM FileNet Neighborhood, and then log on to the appropriate IS or CS library.

  2. Select View [image] Options from the drop-down menu.

  3. Select the appropriate property columns.

  4. Select Show Annotations if you want Web clients to see a small annotation marker beside each document that has one or more annotations. Displaying the annotation markers can affect performance.

  5. Apply the changes.

These configurations are saved, by library, in the registry on the Web server.


Using a path-based URL to open a document

Users can use a path-based URL in an HTML document to retrieve content from a CS library. Web content authors can use path-based URLs to link HTML documents together in a CS library to create a Web site. This simplifies the process of creating, publishing, and distributing HTML documents and entire Web sites stored in a CS library. Before this will work, the IDM Web Services administrator must first set the preference Enable Path-based URL retrieval to Yes. If set to No, its default, IDM Web Services uses ID-based document retrieval.

A path-based URL can specify either a relative path or an absolute path.

  • A relative path specifies a document location relative to the document that contains the link. For example, "./folder/document" is a relative path. External documents and archived documents cannot be retrieved using relative paths.

  • An absolute path specifies the full path to the document. For example "WebServerName/folder/folder/.../document ID" is an absolute path.

A path-based URL cannot include special characters.

Comparing path-based retrieval with ID-based retrieval

Path-based retrieval

Multiple HTML pages that compose a Web site are commonly stored in a single folder or a hierarchy of folders, where links to other HTML pages within the site are specified as relative URLs.

Say for example, that home.htm is located in WebServer/idmws/doccontent.DLL/CSlibraryname^servername/folder1/home.htm, has links to three documents (doc1.htm, doc2.htm, and image5.gif), and that all of these documents reside in the same CS library.

Instead of specifying the entire path (absolute path), the three document links in home.htm can be expressed as relative links:

./doc1.htm
./doc2.htm
./images/image5.gif

By using relative URLs, the Web site is location independent, and therefore, portable. It can be moved anywhere in the folder hierarchy of a Web server, and the links will still work because they are relative to the Web site's home page location rather than absolute paths. These links can be specified during authoring, before the Web site's html pages have been checked into the CS library and assigned a document ID.

ID-based retrieval

The alternative to path-based document retrieval is ID-based document retrieval. With ID-based retrieval, you must specify the document's absolute path and document ID.

By using ID-based URLs, all links would be nothing more than placeholders until each html document is checked in and has received a document ID. The links would have to be changed to the actual document IDs that were assigned during checkin. Also, if you were to move the Web site to another library, all links would be rendered invalid.

Using the example Web site above, where the document ID for doc1.htm is 000001, doc2.htm is 000002, and image5 is 111115, then the links would look like this:

http://WebServer/idmws/doccontent.DLL/CSlibrary^server/folder1/000001
http://WebServer/idmws/doccontent.DLL/CSlibrary^server/folder1/000002
http://WebServer/idmws/doccontent.DLL/CSlibrary^server/folder1/images/111115

Path-based URL syntax
The following are examples of valid syntax for retrieving a document using a path-based URL. An ID-based URL is included here for reference.

URL | Examples | Notes
ID-based | http://<server name>/idmws/doccontent.DLL/ <library>^<server>/<folder path>/<document ID> | Must specify the document ID.
Path-based | /idmws/doccontent.dll/<library>^<server>/<folder path>/<original filename> | Relative path.
 | ./<folder path>/<original filename> | Relative path.
 | ../<folder path>/<original filename> | Relative path.
 | /pburl_idmws/<library^server>/<folder path>/<original filename> | Absolute path only. pburl_idmws automatically expands into "/idmws/doccontent.DLL" when the link is submitted to IDM Web Services for retrieval.
 | http://<server name>/idmws/doccontent.DLL/ <library>^<server>/<folder path>/<original filename> | Similar to ID-based, but no document ID required.

where:

library^server is the two-part identifier of the CS library. Library is the name of the CS library where the document is stored. Server is the system name.

idmws is the name of the application used to retrieve the document, named "idmws" by default.

folder path is the path to and name of the folder in which the document is stored.

original filename is the name of the document when it was checked in to a CS library. If the document has been renamed since, specify its original filename instead.

A document stored in multiple folders

If the path-based URL retrieval preference is set to Yes, IDM Web Services will automatically convert an ID-based URL to a path-based URL whenever the user opens, views, or checks out a document using an ID-based URL. When a document has more than one path because it is filed in more than one folder, where each folder has a unique name, IDM Web Services will use the first path it finds, and use that for the path-based URL.

In cases where two folders are named identically, and the requested document is stored in each folder, an attempt to retrieve such a document via a path-based URL will return the error "object not found".

We recommend that you do not use path-based URLs to call a document stored in multiple folders, a document stored in identically named folders, or a document stored in multiple folders.


Authentication options

This topic explains the authentication options available for IDM Web Services.

Connecting to the Web site

IIS offers several authentication methods for connecting to a Web site. For IDM Web Services, you must choose one of these two:

  • Anonymous access, the IIS default, allows any user to connect to the Web site through the Internet guest account, without logging on. The user must log on to libraries using either the default logon method or using an LDAP logon.

  • Integrated Windows access (formerly called NT Challenge/Response), the IIS default when anonymous access has been disabled, enables unified logon. When properly configured, unified logon accepts the user’s Windows credentials, which are passed in encrypted form, for connecting both to the Web site and to configured libraries. For connecting to the Web site, integrated Windows access authenticates against the Active Directory for the Web server’s domain. For access to an IBM FileNet library, integrated Windows access authenticates against each library’s security database. The library administrator must export user credentials from the Active Directory and import them into the library’s security database, and CS administrators must additionally configure user accounts with a Network Login. Unified logon cannot be used through a firewall or proxy server.

Connecting to libraries

Users can connect to libraries in one of three ways:

  • Unified logon, using workstation credentials for both Web site and library authentication.

  • LDAP logon, logging in to all libraries at once and authenticating against an LDAP server.

  • Default logon, logging in to each library and authenticating against the library’s security database as described in the IBM FileNet IDM Web Services User’s Help.

Logons are attempted in the order listed above. For example, if an LDAP logon fails, the software displays the default Logon dialog.

See also
Set anonymous access
Restore anonymous access
Set up unified logon
Set up LDAP logon


Set anonymous authentication

Set anonymous access

Anonymous access is the IIS default authentication method. It is required for LDAP logon.

To set anonymous access for the site

  1. Start the IIS Service Manager.

  2. Select your Web server from the tree pane.

  3. Select Default Web Site, right click, and select Properties.

  4. Select the Directory Security tab.

  5. Click Edit in the Anonymous access section and make sure that Anonymous access is checked (enabled). The other two choices should be cleared.

  6. Click Edit to define the Account used for the Anonymous access.

  7. Select the Internet Guest account (IUSR_<computer name>). For example, if the Web server computer name is "chicago", select the account IUSR_CHICAGO.

  8. Select Allow IIS to control password.

  9. Click OK.

  10. In the Inheritance Overrides dialog, click Select All, then click OK.

  11. In the Console Manager, save the configuration changes.

See also
Restore anonymous authentication defaults
Set up LDAP logon


Restore anonymous authentication defaults

Restore anonymous access

Anonymous authentication is the default IIS authentication method. If you have changed it and need to restore anonymous authentication, use this procedure.

To restore anonymous authentication

  1. In Windows Explorer, right-click the Winnt folder and select Properties.

  2. Select the Security tab.

  3. Set permissions so that:

Administrators have Full Control

Users have Full Control

  4. Right click the WINNT\system32 folder and select Properties.

  5. Select the Security tab.

  6. Change directory permissions on the WINNT\system32 folder and all of its subfolders so that:

The Internet guest account (IUSR_xxxxx) has Read Access

Authenticated Users have Read Access

Administrators have Full Control

Creator Owner has Full Control

System Users have Full Control

  7. Change directory permissions on the Inetpub folder and all of its subfolders so that:

The Internet guest account (IUSR_xxxxx) has Read Access

Administrators have Full Control

System users have Full Control

  8. Change directory permissions on the Program Files\Common Files folder and all of its sub-folders so that:

The Internet guest account (IUSR_xxxxx) has Read Access

Administrators have Full Control

System Users have Full Control

  9. Change directory permissions on the IBM folder and all of its subfolders except Idm\Cache so that:

The Internet guest account (IUSR_xxxxx) has Read Access

Administrators have Full Control

  10. Change directory permissions on the IBM\Idm\Cache folder and all of its sub-folders such that:

The Internet guest account (IUSR_xxxxx) has Full Control

Administrators have Full Control

Note

To support CS functions, the Web server must have a system variable named TEMP set to a value that is the name of a drive and directory, such as C:\TEMP. Set directory permissions for Internet guest accounts, Authenticated Users, Administrators, and System Users to full control.


Set up unified logon

You can set up unified logon (also called network logon and Windows logon) so that users can log on to their Windows workstations and then connect first to the Web server and then to IS and CS libraries using their Windows domain credentials.

To configure unified logon

  1. Select Integrated Windows access for the Web site in IIS (see procedure below).

  2. Grant Access this computer from the network user rights to Authenticated Users (see procedure below).

  3. Import user credentials from the Web server’s domain into each IS and CS library that will use unified logon. See the appropriate administrator’s documentation for library-side requirements and procedures.

  4. Using IDM Configure on the Web server, set the preference Use operating system credentials for logon to Yes for each IS and CS library that will use unified logon.

Select "Integrated Windows access" for the Web site in IIS

  1. On the Web server, from Control Panel, open Administrative Tools, then start the Internet Services Manager.

  2. Click on your Web server name.

  3. Right-click on Default Web Site and select Properties.

  4. Select the Directory Security tab.

  5. Click Edit in the Anonymous access section and make sure that Integrated Windows authentication is checked. The other two choices should be cleared.

  6. Click OK, then Apply.

  7. In the Inheritance Overrides dialog, click Select All, then click OK.

  8. Click OK and exit IIS.

Grant "Access this computer from the network" user rights to Authenticated Users

  1. On the Web server, from Control Panel, start Local Security Policy.

  2. Open Local Policies, and then select User Rights Assignment.

  3. Grant the policy "Access this computer from the network" to Authenticated Users.

  4. Click OK and exit.

Notes

The CS system administrator must define users’ Network Login Names in their User profiles. For information about the CS Explorer tool, refer to its online help.

See also
Authentication options


Set up LDAP logon

To enable LDAP logon for Web clients

  1. Verify that the Web site has the IIS authentication method set to anonymous access. If it is not set, restore anonymous access.

  2. Set up the library:

  1. Using ldap-exp, export LDAP user account information from an LDAP server into an XML file.

  2. Import the user group and group membership information from the XML file to a CS or IS server.

  3. See the library administrator’s documentation for more information on importing user accounts into IBM FileNet libraries.

  4. Start IDM Configure.

  5. Click Additional Preferences.

  6. In the IDM Preferences dialog box, expand LDAP Settings:

  1. Set Enable LDAP for the whole Web site to Yes.

  2. Specify the LDAP Server name, for example "ldapserver1". (Note that the LDAP server name needs to be fully qualified. Users should be able to successfully ping the LDAP server from the client.)

  3. For Sun Java System Directory Server or Novell eDirectory, specify the LDAP Distinguished name suffix, for example, "cn=users, dc-ldap, dc=eng".

    For Microsoft Active Directory, specify the User Principal Name (UPN) suffix, for example ibm.com.

  4. Specify the Server Port Number, for example "389".

  5. Specify the Server Type, for example, " SunONE Directory Server (Sun Java System Directory Server)," "MS Active Directory," or "Novell eDirectory." No other LDAP server types are supported at this time.

Note: Although the user is configured with null password on a LDAP server, IDM Web Services does not allow the user with a null password.

See also
Set anonymous access
Restore anonymous access


Guest settings

Two CS library preferences, Guest user name and Active requests per guest, establish a guest account, which is a CS library account intended for simultaneous use by Web users with the guest account logon credentials. Such an account might be used for training or to provide access to Web users who do not have their own accounts. You would typically give the guest account a higher number of active requests while keeping the number of active requests per single user lower for better system performance.

You will need to define a guest account on the CS library. The guest account is like any other CS library account.

The default number of requests for the guest account is 40; for single users it is 10.


Set NTFS security permissions

If you change the default NTFS security permissions for users who access files and folders on the IBM FileNet IDM Web server then at a minimum, users require the following access rights:

  • The Authenticated Users account (Anonymous authentication) and the IUSR_<server> account (Windows authentication) requires:

Read access to the library database folders and sub folders (C:\Oracle or C:\MSSQL).

List access to the drive on which IBM FileNet IDM Web Services is installed (for example, C:\ or D:\).

Change access to the …/IBM/shared/data_ss folder.

  • The SYSTEM account requires List access to the drive on which IBM FileNet IDM Web Services is installed (for example, C:\ or D:\).


Set SSL security for the site

To use SSL with IBM FileNet IDM Web Services:

  1. Enable SSL on the Web server so that client certificates are required.

  2. Direct Web clients to the appropriate certification agency to obtain a client certificate.

See the IIS documentation for instructions.

Note

Web sites that use SSL cannot be accessed via the IDM Web Services Application Integration.


How IDM Web Services protects shared resources

How IBM FileNet IDM Web Services protects shared resources

To enhance Web server performance, IBM FileNet IDM Web Services caches files (copies documents stored in libraries) locally on the Web server. For security reasons, these documents are accessible only through the IDM Viewer application that is provided with IDM Web Services. Users can access these cached documents only through a viewer on the Web client.

To view a document, users must be logged on to a library and have sufficient rights. Before a document is transmitted to a user, IDM Web Services checks the permissions to make sure that the user has the necessary access rights.

You can configure the Web server by setting a preference so that users bypass cache to view, copy, and checkout files. See Enable direct document access for instructions.


Set up a firewall

IBM has successfully tested the following firewall configurations with IBM FileNet IDM Web Services:

  • A single firewall configuration, where the Web server, IS server and CS server are separated from Web clients by a single firewall.

  • A double firewall configuration, where a firewall sits between the Web client and the Web server (as in a single firewall configuration), and another firewall sits between the Web server and the IS and CS servers.


Display PDF Files

Web users who have installed the full viewer package can view PDF files using the Outside In capabilities of the IDM Viewer. Adobe Acrobat Reader, if installed on the web client, runs as a viewer plug-in and provides improved display of PDF documents.

Users can download the free Adobe Acrobat Reader from the Adobe web site.

For viewing some Report Manager PDF statements, the web client machine must have a full Adobe Acrobat environment.


Add a new file extension association

To add a file extension association

  1. Start IDM Configure and navigate to the Edit the file extension associations preference: Additional Preferences, Viewing [image] Alternate Viewers, and click Edit file extension associations.

  2. Click New.

  3. Enter the extension in the Extension field. Include the leading period.

  4. Specify how the file is to be opened:

  1. To open the file type in its registered application, click Registered application.

  2. To open the file type in an application other than IDM View or its registered application, click This application. You have two options for specifying the application:

Click the Browse button, navigate to the application, and select it.

Or, in the Name field, enter the full path and filename of the application executable, or the filename of the executable with or without its extension. If you do not enter the full path and extension, when you open the application, the system will attempt to find the application in the current directory, then the path defined in the environment variable path.

Parameters: You can optionally specify command line parameters to pass to the application when it opens. For example, to print a PDF file when it opens in the Acrobat Reader, enter the /P parameter. Make sure that the parameters you specify are compatible with the application.

  5. Click OK and exit IDM Configure.

See also
Edit the file extension associations
Select a file extension
Edit a file extension association
Remove a file extension association


Select a file extension

A file extension association must be added before you can select it. You can associate a file extension with more than one application, but only one can be selected at a time.

To select a file extension association

  1. Start IDM Configure and navigate to the Edit the file extension associations preference: Start, IDM Configure, Additional Preferences, Viewing [image] Alternate Viewers, and click on Edit file extension associations.

  2. Click Edit file extension associations.

  3. Select the file extension that you wish to use.

  4. Click OK and exit IDM Configure.

See also
Edit the file extension associations
Add a new file extension association
Edit a file extension association
Remove a file extension association


Edit a file extension association

If you have associated a file extension with an application, you can change it by editing the file extension or associating the file extension with a different application.

To edit an existing file extension association

  1. Start IDM Configure and navigate to the Edit the file extension associations preference: Start, IDM Configure, Additional Preferences, Viewing [image] Alternate Viewers, and click on Edit file extension associations.

  2. Click Edit file extension associations.

  3. Select the file extension that you wish to change.

  4. Click Edit.

  5. From the Edit File Extension dialog, make your changes.

  6. Click OK and exit IDM Configure.

See also
Edit the file extension associations
Add a new file extension association
Select a file extension
Remove a file extension association


Remove a file extension association

The Restore Default button and the Restore All Defaults on the IDM Preferences dialog do not remove or restore configured file extension associations. Use the instructions below to remove any configured file extension associations.

To remove a file extension association

  1. Start IDM Configure and navigate to the Edit the file extension associations preference: Start, IDM Configure, Additional Preferences, Viewing [image] Alternate Viewers, and click on Edit file extension associations.

  2. Click Edit file extension associations.

  3. Select the file extension that you wish to change.

  4. Click Remove.

  5. Click OK and exit Configure.

See also
Add a new file extension association
Select a file extension
Edit the file extension associations


Network Load Balancing

If you are using IBM FileNet IDM Web Services with Microsoft’s Network Load Balancing (NLB) service, you must set the NLB Affinity setting to Single (under the Port Rules tab in the Network Load Balancing Properties dialog).


Download errors

If Web clients experience problems downloading files from the Web server pages, check the permissions on the download directory. This directory contains the Web client download options by default. If the permissions on the Download directory are set to "Executable (including script)", you will need to change the setting to "None" or "Script".

Change permissions on the IDMWS download directory

  1. Start the IIS Service Manager.

  2. Expand the IDM Web Services directory under Default Web site.

  3. Open the Redist folder and locate the Download directory.

  4. Right click on the Download directory and choose Properties.

  5. On the Directory property tab, locate Execute permissions and select None or Script Only.


Troubleshooting libraries

I have installed IBM FileNet IDM Web Services but I do not see any libraries.

You add libraries using the Configure application. Alternatively, you can import a preferences file that adds (or replaces) libraries.
See the following topics:
About libraries
Add a CS library
Add an IS library
About preference files

How can I add more libraries?

Use IDM Configure to add or edit a library.

Why can't I log on to a library?

  1. You will not be able to log on if:

  2. You mistyped your user name or password.

  3. Your account or password has expired.

  4. The library is configured incorrectly. For example, you've added a CS library with the wrong database type.

  5. The library or the network is down.

How do I get a new password?

You must get the library's system administrator to change your password.


Troubleshooting searches

Why are not the stored searches and search templates stored on the Web server visible to the Web clients?

To make stored searches and search templates visible to Web clients, they must be stored in specific directories on the Web server.

Store a search in the directory ..\IDM\CS to make the search available for all CS libraries.

To make a search visible from a specific library only, store it in a directory using the following naming convention ..\IDM\CS\libraryname^servername. Each time you configure a library, a directory that follows this naming convention is created for you.

Stored searches and search templates do not need to be stored in the directory associated with the library that is used in the search.

My search doesn't return the results I wanted. Why not?

Use the Template Designer's Preview feature to test the search template. If the search returns the wrong documents, you need to modify the search criteria. If the search returns the correct documents but doesn't display the right property values, modify the property columns using the Results tab.

Why can't I see all of the conditional operators used in a stored template?

An operator can have a 'hidden' attribute. Open the template, change the attribute, and resave.

How do I insert a row into a search?

Select a row, right-click, then click Insert. This inserts a new row above the selected row.

How do I use AND and OR to connect conditions?

You can connect any two adjacent rows with AND or OR. Select the two rows, then click on the AND or OR button. The AND and OR buttons are not available unless you have adjacent rows selected.

How can I view the SQL statement used in a search?

Enter the search criteria or open the stored search. Click on the Text button.

Why do searches return no documents when using "words in any order?"

When you search using "Words in Any Order," the range (distance between words) is set to 0 by default. This means the words must be adjacent to each other or separated only by common words (which are ignored). Increase the range value to increase the gap that can exist between words.


File registration failure

If a file or files fail to register after installation, a dialog will display and list the file or files that did not register. The Setup log file will also list these files and provide more information about the failure under "IBM FileNet Web server post reboot registration results". The text in the left margin will read "Failed" or "Load Failed". To the right, the full path and filename, error text, and possibly an error number will display.

Should this happen, contact your service representative to report the problem.

Usually, rebooting will not fix the problem. You can attempt to manually register the file(s) using regsvr32.exe (included with Windows):

  1. Open a DOS window.

  2. Change to the directory where the file in question is located (find this information in the setup log file). For example

 Cd IBM\IDM

  3. Type regsvr32.exe filename.extension. Where filename.extension is the name of the file that did not register.

Regsrv32.exe displays a dialog stating whether it succeeded or failed to register the file (plus other information).

Registered file list

IDMWebServices403.exe creates a text file, idmWebRegFiles.txt, that lists all files that need to be registered after rebooting. It is located in the installation folder.


Errors viewing ASP pages

Client users may be unable to view ASP pages if virus protection software is running on a server where IBM FileNet IDM Web Services is located.

When virus protection software scans an IIS Web application, IIS may behave as if the global.asa files has been modified and restart the application. Turning off virus scanning on the global.asa file may help resolve this issue.


General Information

The general information topics include a glossary, information about IBM FileNet, trademark notices, the license agreement and about how to use the IDM Web Services documentation.

The table of contents in the left pane of each page includes a main heading with subtopics. Only one set of subtopics is exposed at any one time. Click a different main heading to see its subtopics.

The words in the color bar above jump to the same main topics shown in the table of contents.


Feedback

Your feedback helps us to provide quality information. Please send any comments that you have about this publication or other IBM FileNet IDM Web Services documentation.

How to send your comments

Send your comments by e-mail to comments@us.ibm.com. Be sure to include the name of the product, the version number of the product, and the name and part number of the book (if applicable). If you are commenting on specific text, include the location of the text (for example, a chapter and section title, a table number, a page number, or a help topic title).


Notices

This information was developed for products and services offered in the U.S.A.

IBM may not offer the products, services, or features discussed in this document in other countries. Consult your local IBM representative for information on the products and services currently available in your area. Any reference to an IBM product, program, or service is not intended to state or imply that only that IBM product, program, or service may be used. Any functionally equivalent product, program, or service that does not infringe any IBM intellectual property right may be used instead. However, it is the user's responsibility to evaluate and verify the operation of any non-IBM product, program, or service.

IBM may have patents or pending patent applications covering subject matter described in this document. The furnishing of this document does not grant you any license to these patents. You can send license inquiries, in writing, to:

IBM Director of Licensing

IBM Corporation

North Castle Drive

Armonk, NY 10504-1785

U.S.A.

For license inquiries regarding double-byte (DBCS) information, contact the IBM Intellectual Property Department in your country or send inquiries, in writing, to:

Intellectual Property Licensing

Legal and Intellectual Property Law

IBM Japan, Ltd.

3-2-12, Roppongi, Minato-ku, Tokyo 106-8711 Japan

The following paragraph does not apply to the United Kingdom or any other country where such provisions are inconsistent with local law: INTERNATIONAL BUSINESS MACHINES CORPORATION PROVIDES THIS PUBLICATION "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE. Some states do not allow disclaimer of express or implied warranties in certain transactions, therefore, this statement may not apply to you.

This information could include technical inaccuracies or typographical errors. Changes are periodically made to the information herein; these changes will be incorporated in new editions of the publication. IBM may make improvements and/or changes in the product(s) and/or the program(s) described in this publication at any time without notice.

Any references in this information to non-IBM Web sites are provided for convenience only and do not in any manner serve as an endorsement of those Web sites. The materials at those Web sites are not part of the materials for this IBM product and use of those Web sites is at your own risk.

IBM may use or distribute any of the information you supply in any way it believes appropriate without incurring any obligation to you.

Licensees of this program who wish to have information about it for the purpose of enabling: (i) the exchange of information between independently created programs and other programs (including this one) and (ii) the mutual use of the information which has been exchanged, should contact:

IBM Corporation

J46A/G4

555 Bailey Avenue

San Jose, CA 95141-1003

U.S.A.

Such information may be available, subject to appropriate terms and conditions, including in some cases, payment of a fee.

The licensed program described in this document and all licensed material available for it are provided by IBM under terms of the IBM Customer Agreement, IBM International Program License Agreement or any equivalent agreement between us.

Any performance data contained herein was determined in a controlled environment. Therefore, the results obtained in other operating environments may vary significantly. Some measurements may have been made on development-level systems and there is no guarantee that these measurements will be the same on generally available systems. Furthermore, some measurements may have been estimated through extrapolation. Actual results may vary. Users of this document should verify the applicable data for their specific environment.

Information concerning non-IBM products was obtained from the suppliers of those products, their published announcements or other publicly available sources. IBM has not tested those products and cannot confirm the accuracy of performance, compatibility or any other claims related to non-IBM products. Questions on the capabilities of non-IBM products should be addressed to the suppliers of those products.

All statements regarding IBM's future direction or intent are subject to change or withdrawal without notice, and represent goals and objectives only.

This information contains examples of data and reports used in daily business operations. To illustrate them as completely as possible, the examples include the names of individuals, companies, brands, and products. All of these names are fictitious and any similarity to the names and addresses used by an actual business enterprise is entirely coincidental.

COPYRIGHT LICENSE:

This information contains sample application programs in source language, which illustrate programming techniques on various operating platforms. You may copy, modify, and distribute these sample programs in any form without payment to IBM, for the purposes of developing, using, marketing or distributing application programs conforming to the application programming interface for the operating platform for which the sample programs are written. These examples have not been thoroughly tested under all conditions. IBM, therefore, cannot guarantee or imply reliability, serviceability, or function of these programs.

Portions of this product are:

  • Copyright (C) 1991-2, RSA DATA SECURITY, Inc. created 1991. All Rights Reserved.

  • Copyright (C) 1995-2005 Jean-loup Gailly and Mark Adler. All Rights Reserved.

  • Copyright (c) 1995-2009 International Business Machines Corporation and others

  • Copyright (C) 1991-2008 Unicode, Inc. All rights reserved.

  • Copyright (c) 1998-2003 The OpenSSL Project. All rights reserved.

  • Copyright (C) 1995-1998 Eric Young (eay@cryptsoft.com)

  • Copyright (C) 1994-2010 EMC Corporation. All rights reserved.

  • Copyright (C) Snowbound Software Corporation 1993-2006, All rights reserved.

  • Copyright (C) 2002-2010 Rogue Wave Software, Inc. All Rights Reserved.

  • Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc. All Rights Reserved.

  • Copyright (C) Oracle® Outside In Viewer Technology, Copyright © 1992, 2007, Oracle. All Rights Reserved.

Trademarks

IBM, the IBM logo, and ibm.com are trademarks or registered trademarks of International Business Machines Corporation in the United States, other countries, or both. If these and other IBM trademarked terms are marked on their first occurrence in this information with a trademark symbol (® or ™), these symbols indicate U.S. registered or common law trademarks owned by IBM at the time this information was published. Such trademarks may also be registered or common law trademarks in other countries. A current list of IBM trademarks is available on the Web at "Copyright and trademark information" at www.ibm.com/legal/copytrade.shtml.

Adobe, the Adobe logo, PostScript, and the PostScript logo are either registered trademarks or trademarks of Adobe Systems Incorporated in the United States, and/or other countries.

Intel, Intel logo, Intel Inside, Intel Inside logo, Intel Centrino, Intel Centrino logo, Celeron, Intel Xeon, Intel SpeedStep, Itanium, and Pentium are trademarks or registered trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

Java and all Java-based trademarks are trademarks of Sun Microsystems, Inc. in the United States, other countries, or both.

Linux is a trademark of Linus Torvalds in the United States, other countries, or both.

Microsoft, Windows, Windows NT, and the Windows logo are trademarks of Microsoft Corporation in the United States, other countries, or both.

UNIX is a registered trademark of The Open Group in the United States and other countries.

Other company, product, and service names may be trademarks or service marks of others.


Terms_of_use

Permissions for the use of these publications is granted subject to the following terms and conditions.

Personal Use: You may reproduce these publications for your personal, noncommercial use provided that all proprietary notices are preserved. You may not distribute, display or make derivative work of these publications, or any portion thereof, without the express consent of IBM.

Commercial Use: You may reproduce, distribute and display these publications solely within your enterprise provided that all proprietary notices are preserved. You may not make derivative works of these publications, or reproduce, distribute or display these publications or any portion thereof outside your enterprise, without the express consent of IBM. Except as expressly granted in this permission, no other permissions, licenses or rights are granted, either express or implied, to the publications or any information, data, software or other intellectual property contained therein. IBM reserves the right to withdraw the permissions granted herein whenever, in its discretion, the use of the publications is detrimental to its interest or, as determined by IBM, the above instructions are not being properly followed. You may not download, export or re-export this information except in full compliance with all applicable laws and regulations, including all United States export laws and regulations.

IBM MAKES NO GUARANTEE ABOUT THE CONTENT OF THESE PUBLICATIONS. THE PUBLICATIONS ARE PROVIDED "AS-IS" AND WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.


ibm contact

IBM Web site

About IBM

Privacy

Contact


API

Applies to custom applications under IDM Desktop. Some preferences can be overridden by a call from the Application Program Interface and some cannot.


Applies to

One or more products and library types that the preference applies to.


automatic page prefetching

Occurs when the next page of a document is automatically prefetched for a user. When automatic page prefetching is enabled, the system prefetches the next page in the sequence that the user is viewing. When the user looks at page x+1, the system prefetches page x+2. When the user goes back to page x, the system prefetches page x-1.
Automatic page prefetching requires no programming. It is not available for CS libraries or IBM FileNet IDM Web Services.


 Convert Word 6.0/95 to current Word format

Preference | Convert Word 6.0/95 to current Word format
Description | Converts a Word document to the installed version’s format on checkin.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop IDM Web Services CS libraries
Possible values | Yes No
Takes effect | Immediately
API | No
Exportable | Yes


Description

A brief description of the preference.


Exportable

Whether or not the preference can be exported to a preference file and imported to another computer.


How to set

How to navigate to the preference:
  1. Open IDM Configure (from the Windows Start menu, select Programs, IBM FileNet IDM, then Configure).
  2. Click Additional Preferences.
  3. Navigate to the preference that you want to change.
To add libraries, also considered preferences, see the topics under the Configuration book in this help system.


Libraries
  • IS Libraries. If no IS libraries are configured, preferences that apply to IS libraries will not display in IDM Configure.
  • CS Libraries. If no CS libraries are configured, preferences that apply to CS libraries will not display.


 Message format

Preference | Message format
Description | Defines the default message format for messages added to a library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Outlook
Applies to | IDM Desktop IS libraries CS libraries
Possible values | Message (default) Rich text Text
Takes effect | Immediately
API | No
Exportable | Yes


Physical directory

A folder specification such as C:\Program Files\IBM\IDM that indicates the installation directory.


Possible values

A list of all possible values plus the default for this preference.

Note that some preferences are listed for information purposes only and cannot be changed, such as some listed under Libraries [image] <library name>. In this case, you configure them in IDM Configure using the Add and Edit buttons.


Preference

The name of the preference as it appears in IDM Configure.


Prefetching

A method of caching images for display before a user asks for them. This feature reduces display times and sometimes allows the user to continue working even if the server shuts down.


 Print document when add or checkin

From Microsoft Word.

Preference | Print document when add or checkin
Description | Prints any document added or checked in from Microsoft Word.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Print document when add or checkin

From Microsoft Excel.

Preference | Print document when add or checkin
Description | Print any document added or checked in from Microsoft Excel.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


Products
  • IDM Desktop: the preference is set on the workstation for the currently logged-on user.
  • Web server (IBM FileNet IDM Web Services): the preference affects the appearance or behavior of an IDM Desktop application running on the web server.
  • Web client: the preference is set on the web server and affect the appearance or behavior of the web client software.


 Prompt to save file before add

Microsoft Word

Preference | Prompt to save file before add
Description | Prompts to save the file locally before adding to the library. If the preference is not enabled, the file is automatically saved to its current location before it is added to the library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries IS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before add

Microsoft Excel

Preference | Prompt to save file before add
Description | Prompts you to save the file locally before adding it to the library. If the preference is not enabled, the file is automatically saved to its current location before it is added.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop IS libraries CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before checkin

Microsoft Excel

Preference | Prompt to save file before checkin
Description | Prompts to save the file locally before checkin. If the preference is not enabled, the file is automatically saved to its current location before being checked in.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before add

Microsoft PowerPoint

Preference | Prompt to save file before add
Description | Prompts to save the file locally before adding to the library. If the preference is not enabled, the file is automatically saved to its current location before being added to the library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft PowerPoint
Applies to | IDM Desktop IS libraries CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before checkin

Microsoft PowerPoint

Preference | Prompt to save file before checkin
Description | Prompts to save the file locally before checkin. If the preference is not enabled, the file is automatically saved to its current location before being checked in.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft PowerPoint
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before add

Microsoft Outlook

Preference | Prompt to save file before add
Description | Prompts to save the file locally before adding to the library. If the preference is not enabled, the file is automatically saved to its current location before being added to the library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Outlook
Applies to | IDM Desktop IS libraries CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes


 Prompt to save file before checkin

Microsoft Word

Preference | Prompt to save file before checkin
Description | Prompts to save the file locally before checkin. If the preference is not enabled, the file is automatically saved to its current location before it is checked in to the library.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


Requested prefetching

You implement requested prefetching with custom applications that make automation calls to the LocalCache object. Requested prefetching is also implemented in IDM Web Services. Requested prefetching is not supported with IDM Desktop applications.

When more than one custom IDM application is accessing an IS server, requested prefetching prioritizes the prefetches for these processes based on their past activity. Requested prefetching prefetches the next page in the sequence that the user is viewing. Over time, the system prefetches all pages of all requested documents.


 Show document status in title bar

Microsoft Word

Preference | Show document status in title bar
Description | Displays the open document’s copy or checkout status in the Microsoft Word title bar.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Show document status in title bar

Microsoft Excel

Preference | Show document status in title bar
Description | Displays an open document’s copy or checkout status in the Microsoft Excel title bar.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Show toolbar

Microsoft PowerPoint

Preference | Show toolbar
Description | Show the IBM FileNet toolbar in Microsoft PowerPoint.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft PowerPoint
Applies to | IDM Desktop CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Show toolbar

Microsoft Word

Preference | Show toolbar
Description | Shows the IBM FileNet toolbar in Microsoft Word.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


 Show toolbar

Microsoft Excel

Preference | Show toolbar
Description | Shows the IBM FileNet toolbar in Microsoft Excel.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries IS libraries
Possible values | Yes No (default)
Takes effect | Immediately
API | No
Exportable | Yes


Takes effect

When the preference takes effect:
  • Immediately (next time the related application is started, for example).
  • Requires rebooting the computer first.
  • Requires restarting Windows first.


 Update inserted IBM FileNet properties before checkin

Microsoft Word

Preference | Update inserted IBM FileNet properties before checkin
Description | Updates the inserted IBM FileNet document properties prior to checking in a Microsoft Word document.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Update inserted IBM FileNet properties after checkout

Microsoft Word

Preference | Update inserted IBM FileNet properties after checkout
Description | After checking out a Microsoft Word document, updates the inserted IBM FileNet document properties.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Update inserted IBM FileNet properties before checkin

Microsoft Excel

Preference | Update inserted IBM FileNet properties before checkin
Description | Updates inserted IBM FileNet properties prior to checking in a Microsoft Excel document.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Update inserted IBM FileNet properties after checkout

Microsoft Excel

Preference | Update inserted IBM FileNet properties after checkout
Description | After checking out a Microsoft Excel document, updates inserted IBM FileNet properties.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Update menu and toolbar

Preference | Update menu and toolbar
Description | When set to yes, disables IBM FileNet menu options and toolbar buttons that are invalid for the selected or open document.
How to set | For Word, IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word For Excel, IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel For PowerPoint, IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft PowerPoint
Applies to | IDM Desktop IDM Web Services CS libraries
Possible values | Yes (default) No
Takes effect | Immediately
API | No
Exportable | Yes

Setting this preference to No enables all menu options regardless of the document state. This reduces traffic between the client workstation and the server. However, errors occur if a user attempts an invalid operation such as trying to check out a document that is already checked out.


Upgrade

Whether the preference's changed setting will remain changed or return to it's default value when the software is upgraded.


 Upgrade inserted IBM FileNet properties

Preference | Upgrade inserted IBM FileNet properties after checkout
Description | Converts SDM-style embedded properties to Panagon-style inserted IBM FileNet document properties when opening documents in Microsoft Word.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Word
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


 Upgrade inserted IBM FileNet properties

Preference | Upgrade inserted IBM FileNet properties after checkout
Description | Converts SDM-style embedded properties to IBM FileNet properties when opening a spreadsheet in Microsoft Excel.
How to set | IDM Configure [image] Additional Preferences [image] Application Integration [image] Microsoft Excel
Applies to | IDM Desktop CS libraries
Possible values | Always Never (default) Prompt user
Takes effect | Immediately
API | No
Exportable | Yes


Virtual directory

An alias for a physical directory, the virtual directory is the name used in a URL to access a Web site. For example, the URL http://<server_name>/<virtual_directory>.


Virtual directoryA directory name used in an address that corresponds to a physical directory on the web server. Also known as

Virtual directory

A directory name used in an address that corresponds to a physical directory on the Web server. Also known as a URL mapping.

As an example, if your Web server is named "skipper", and you name the virtual directory "idmpage", then Web client users access the application by entering "http://skipper/idmpage".


Set up SMS Server for IDM Web Services 4.0.3

Set up SMS server for 4.0.3

Use this procedures as a guide to setting up SMS. The procedure describes the settings used to certify unattended installs and upgrades of IDM Web Services using SMS. Many other SMS features are available. The reader should be familiar with SMS packages, collections, and advertisements, and should refer to SMS documentation for exact information.

Set up the SMS server

  1. Verify that the server’s time is correct.

  2. Copy the contents of the IDM Web Services software package into a source folder on the SMS server or on a network drive accessible to SMS.

  3. To install IDM Web Services using SMS server, a recorded session file must be first created. See Silent Install to know how to create the recorded session.

  4. Open the SMS Administrator Console.

  5. Open Site Database>FileNet>Site Settings, and display the Site Setting Properties.

  1. On the General tab, select Enable software distribution to clients and set the interval for Check for new programs.

  2. On the Notification tab, enable a notification message.

  6. Create a package as follows:

  1. Right-click on Packages, and click New.

  2. On the General tab, assign a name such as "IBM FileNet IDM Web Services 4.0.3".

  3. On the Data Source tab-
    - Select This package contains source files.
    - Set the source directory to the source folder you created in step 2.
    - Select Always obtain files from the source directory.

  4. On the Distribution Settings tab, set Sending Priority to High.

  7. Add an installation program as follows:

    1. Open the package created in step 4, right-click on Programs, and then click New.

    2. On the General tab-
      - Add a program name such as "Install".
      - Set the command line (For example, setup /s /f1"c:\sessions\setup.iss")
      - For Run, select Normal.
      - For After Running, select SMS restarts computer. Alternatively, you can instruct the user to reboot.

    3. On the Requirements tab-
      - Select This program can run only on specified platforms
      - Select one or more of the platforms supported for this release of IDM Web Services.

    4. On the Environment tab-
      -Set Program can run to: Only when a user is logged on
      -Set Run mode to: Run with administrative rights
      - Set Drive mode to: Runs with UNC name

  8. Add an upgrade program as follows:

  1. Open the package created in step 4, right-click on Programs, and then click New.

  2. Add a program name such as "Upgrade" and set the command line (For example, setup /s /f1"c:\sessions\upgrade.iss")

  3. On the Requirements tab-
    - Select This program can run only on specified platforms
    - Select one or more of the platforms supported for this release of IDM Web Services.

  4. On the Environment tab-
    - Set Program can run to: Only when a user is logged on
    - Set Run mode to: Run with administrative rights
    - Set Drive mode to: Runs with UNC name

  9. Create one or more collections.

  10. Create an advertisement.

  1. Select Assign immediately after this event and As soon as possible.

  2. Set Priority to High.

Note: For both fresh install and upgrade from any older versions, installation needs to be recorded to recorded session and the .iss file should be used actually install.